<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (!Schema::hasTable('cities'))
        {
            Schema::create('cities', function (Blueprint $table) {
                $table->id();
                $table->string('name');
                $table->unsignedBigInteger('country_id');
                $table->unsignedBigInteger('state_id');
                $table->string('status')->default('publish');
                $table->timestamps();
                $table->softDeletes();
                $table->foreign("country_id")->references("id")->on("countries");
                $table->foreign("state_id")->references("id")->on("states");
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cities');
    }
};
