<?php //a7e81cd6869061525d9418b4b5cdb531
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\SmsGateway\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\SmsGateway\Entities\SmsGateway;
    use Modules\SmsGateway\Entities\UserOtp;
    
    /**
     * @method SmsGateway|null getOrPut($key, $value)
     * @method SmsGateway|$this shift(int $count = 1)
     * @method SmsGateway|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGateway|$this pop(int $count = 1)
     * @method SmsGateway|null pull($key, \Closure $default = null)
     * @method SmsGateway|null last(callable $callback = null, \Closure $default = null)
     * @method SmsGateway|$this random(callable|int|null $number = null)
     * @method SmsGateway|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method SmsGateway|null get($key, \Closure $default = null)
     * @method SmsGateway|null first(callable $callback = null, \Closure $default = null)
     * @method SmsGateway|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method SmsGateway|null find($key, $default = null)
     * @method SmsGateway[] all()
     */
    class _IH_SmsGateway_C extends _BaseCollection {
        /**
         * @param int $size
         * @return SmsGateway[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_SmsGateway_QB whereId($value)
     * @method _IH_SmsGateway_QB whereName($value)
     * @method _IH_SmsGateway_QB whereImage($value)
     * @method _IH_SmsGateway_QB whereStatus($value)
     * @method _IH_SmsGateway_QB whereOtpExpireTime($value)
     * @method _IH_SmsGateway_QB whereCredentials($value)
     * @method _IH_SmsGateway_QB whereCreatedAt($value)
     * @method _IH_SmsGateway_QB whereUpdatedAt($value)
     * @method SmsGateway baseSole(array|string $columns = ['*'])
     * @method SmsGateway create(array $attributes = [])
     * @method _IH_SmsGateway_C|SmsGateway[] cursor()
     * @method SmsGateway|null|_IH_SmsGateway_C|SmsGateway[] find($id, array|string $columns = ['*'])
     * @method _IH_SmsGateway_C|SmsGateway[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOrFail($id, array|string $columns = ['*'])
     * @method SmsGateway|_IH_SmsGateway_C|SmsGateway[] findOrNew($id, array|string $columns = ['*'])
     * @method SmsGateway first(array|string $columns = ['*'])
     * @method SmsGateway firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method SmsGateway firstOrCreate(array $attributes = [], array $values = [])
     * @method SmsGateway firstOrFail(array|string $columns = ['*'])
     * @method SmsGateway firstOrNew(array $attributes = [], array $values = [])
     * @method SmsGateway firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method SmsGateway forceCreate(array $attributes)
     * @method _IH_SmsGateway_C|SmsGateway[] fromQuery(string $query, array $bindings = [])
     * @method _IH_SmsGateway_C|SmsGateway[] get(array|string $columns = ['*'])
     * @method SmsGateway getModel()
     * @method SmsGateway[] getModels(array|string $columns = ['*'])
     * @method _IH_SmsGateway_C|SmsGateway[] hydrate(array $items)
     * @method _IH_SmsGateway_C|SmsGateway[] lazy(int $chunkSize = 1000)
     * @method _IH_SmsGateway_C|SmsGateway[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_SmsGateway_C|SmsGateway[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method SmsGateway make(array $attributes = [])
     * @method SmsGateway newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|SmsGateway[]|_IH_SmsGateway_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SmsGateway restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|SmsGateway[]|_IH_SmsGateway_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method SmsGateway sole(array|string $columns = ['*'])
     * @method SmsGateway updateOrCreate(array $attributes, array $values = [])
     * @method _IH_SmsGateway_QB active()
     */
    class _IH_SmsGateway_QB extends _BaseBuilder {}
    
    /**
     * @method UserOtp|null getOrPut($key, $value)
     * @method UserOtp|$this shift(int $count = 1)
     * @method UserOtp|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserOtp|$this pop(int $count = 1)
     * @method UserOtp|null pull($key, \Closure $default = null)
     * @method UserOtp|null last(callable $callback = null, \Closure $default = null)
     * @method UserOtp|$this random(callable|int|null $number = null)
     * @method UserOtp|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserOtp|null get($key, \Closure $default = null)
     * @method UserOtp|null first(callable $callback = null, \Closure $default = null)
     * @method UserOtp|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserOtp|null find($key, $default = null)
     * @method UserOtp[] all()
     */
    class _IH_UserOtp_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserOtp[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserOtp_QB whereId($value)
     * @method _IH_UserOtp_QB whereUserId($value)
     * @method _IH_UserOtp_QB whereOtpCode($value)
     * @method _IH_UserOtp_QB whereExpireDate($value)
     * @method _IH_UserOtp_QB whereCreatedAt($value)
     * @method _IH_UserOtp_QB whereUpdatedAt($value)
     * @method _IH_UserOtp_QB whereUserType($value)
     * @method UserOtp baseSole(array|string $columns = ['*'])
     * @method UserOtp create(array $attributes = [])
     * @method _IH_UserOtp_C|UserOtp[] cursor()
     * @method UserOtp|null|_IH_UserOtp_C|UserOtp[] find($id, array|string $columns = ['*'])
     * @method _IH_UserOtp_C|UserOtp[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserOtp|_IH_UserOtp_C|UserOtp[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserOtp|_IH_UserOtp_C|UserOtp[] findOrFail($id, array|string $columns = ['*'])
     * @method UserOtp|_IH_UserOtp_C|UserOtp[] findOrNew($id, array|string $columns = ['*'])
     * @method UserOtp first(array|string $columns = ['*'])
     * @method UserOtp firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserOtp firstOrCreate(array $attributes = [], array $values = [])
     * @method UserOtp firstOrFail(array|string $columns = ['*'])
     * @method UserOtp firstOrNew(array $attributes = [], array $values = [])
     * @method UserOtp firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserOtp forceCreate(array $attributes)
     * @method _IH_UserOtp_C|UserOtp[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserOtp_C|UserOtp[] get(array|string $columns = ['*'])
     * @method UserOtp getModel()
     * @method UserOtp[] getModels(array|string $columns = ['*'])
     * @method _IH_UserOtp_C|UserOtp[] hydrate(array $items)
     * @method _IH_UserOtp_C|UserOtp[] lazy(int $chunkSize = 1000)
     * @method _IH_UserOtp_C|UserOtp[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserOtp_C|UserOtp[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserOtp make(array $attributes = [])
     * @method UserOtp newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserOtp[]|_IH_UserOtp_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserOtp restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|UserOtp[]|_IH_UserOtp_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserOtp sole(array|string $columns = ['*'])
     * @method UserOtp updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserOtp_QB extends _BaseBuilder {}
}