<?php //4d9fa8381a74b00886e236d5d95444f7
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\WebHook\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\WebHook\Entities\Webhook;
    use Modules\WebHook\Entities\WebhookEvents;
    use Modules\WebHook\Entities\WebhookLog;
    
    /**
     * @method WebhookEvents|null getOrPut($key, $value)
     * @method WebhookEvents|$this shift(int $count = 1)
     * @method WebhookEvents|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WebhookEvents|$this pop(int $count = 1)
     * @method WebhookEvents|null pull($key, \Closure $default = null)
     * @method WebhookEvents|null last(callable $callback = null, \Closure $default = null)
     * @method WebhookEvents|$this random(callable|int|null $number = null)
     * @method WebhookEvents|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WebhookEvents|null get($key, \Closure $default = null)
     * @method WebhookEvents|null first(callable $callback = null, \Closure $default = null)
     * @method WebhookEvents|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WebhookEvents|null find($key, $default = null)
     * @method WebhookEvents[] all()
     */
    class _IH_WebhookEvents_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WebhookEvents[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WebhookEvents_QB whereId($value)
     * @method _IH_WebhookEvents_QB whereWebhookId($value)
     * @method _IH_WebhookEvents_QB whereEventName($value)
     * @method _IH_WebhookEvents_QB whereCreatedAt($value)
     * @method _IH_WebhookEvents_QB whereUpdatedAt($value)
     * @method WebhookEvents baseSole(array|string $columns = ['*'])
     * @method WebhookEvents create(array $attributes = [])
     * @method _IH_WebhookEvents_C|WebhookEvents[] cursor()
     * @method WebhookEvents|null|_IH_WebhookEvents_C|WebhookEvents[] find($id, array|string $columns = ['*'])
     * @method _IH_WebhookEvents_C|WebhookEvents[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WebhookEvents|_IH_WebhookEvents_C|WebhookEvents[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WebhookEvents|_IH_WebhookEvents_C|WebhookEvents[] findOrFail($id, array|string $columns = ['*'])
     * @method WebhookEvents|_IH_WebhookEvents_C|WebhookEvents[] findOrNew($id, array|string $columns = ['*'])
     * @method WebhookEvents first(array|string $columns = ['*'])
     * @method WebhookEvents firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WebhookEvents firstOrCreate(array $attributes = [], array $values = [])
     * @method WebhookEvents firstOrFail(array|string $columns = ['*'])
     * @method WebhookEvents firstOrNew(array $attributes = [], array $values = [])
     * @method WebhookEvents firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WebhookEvents forceCreate(array $attributes)
     * @method _IH_WebhookEvents_C|WebhookEvents[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WebhookEvents_C|WebhookEvents[] get(array|string $columns = ['*'])
     * @method WebhookEvents getModel()
     * @method WebhookEvents[] getModels(array|string $columns = ['*'])
     * @method _IH_WebhookEvents_C|WebhookEvents[] hydrate(array $items)
     * @method _IH_WebhookEvents_C|WebhookEvents[] lazy(int $chunkSize = 1000)
     * @method _IH_WebhookEvents_C|WebhookEvents[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WebhookEvents_C|WebhookEvents[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WebhookEvents make(array $attributes = [])
     * @method WebhookEvents newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WebhookEvents[]|_IH_WebhookEvents_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WebhookEvents restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WebhookEvents[]|_IH_WebhookEvents_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WebhookEvents sole(array|string $columns = ['*'])
     * @method WebhookEvents updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WebhookEvents_QB extends _BaseBuilder {}
    
    /**
     * @method WebhookLog|null getOrPut($key, $value)
     * @method WebhookLog|$this shift(int $count = 1)
     * @method WebhookLog|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WebhookLog|$this pop(int $count = 1)
     * @method WebhookLog|null pull($key, \Closure $default = null)
     * @method WebhookLog|null last(callable $callback = null, \Closure $default = null)
     * @method WebhookLog|$this random(callable|int|null $number = null)
     * @method WebhookLog|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WebhookLog|null get($key, \Closure $default = null)
     * @method WebhookLog|null first(callable $callback = null, \Closure $default = null)
     * @method WebhookLog|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WebhookLog|null find($key, $default = null)
     * @method WebhookLog[] all()
     */
    class _IH_WebhookLog_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WebhookLog[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WebhookLog_QB whereId($value)
     * @method _IH_WebhookLog_QB whereEventName($value)
     * @method _IH_WebhookLog_QB whereMethodType($value)
     * @method _IH_WebhookLog_QB whereUrl($value)
     * @method _IH_WebhookLog_QB wherePayload($value)
     * @method _IH_WebhookLog_QB whereStatus($value)
     * @method _IH_WebhookLog_QB whereCreatedAt($value)
     * @method _IH_WebhookLog_QB whereUpdatedAt($value)
     * @method WebhookLog baseSole(array|string $columns = ['*'])
     * @method WebhookLog create(array $attributes = [])
     * @method _IH_WebhookLog_C|WebhookLog[] cursor()
     * @method WebhookLog|null|_IH_WebhookLog_C|WebhookLog[] find($id, array|string $columns = ['*'])
     * @method _IH_WebhookLog_C|WebhookLog[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WebhookLog|_IH_WebhookLog_C|WebhookLog[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WebhookLog|_IH_WebhookLog_C|WebhookLog[] findOrFail($id, array|string $columns = ['*'])
     * @method WebhookLog|_IH_WebhookLog_C|WebhookLog[] findOrNew($id, array|string $columns = ['*'])
     * @method WebhookLog first(array|string $columns = ['*'])
     * @method WebhookLog firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WebhookLog firstOrCreate(array $attributes = [], array $values = [])
     * @method WebhookLog firstOrFail(array|string $columns = ['*'])
     * @method WebhookLog firstOrNew(array $attributes = [], array $values = [])
     * @method WebhookLog firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WebhookLog forceCreate(array $attributes)
     * @method _IH_WebhookLog_C|WebhookLog[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WebhookLog_C|WebhookLog[] get(array|string $columns = ['*'])
     * @method WebhookLog getModel()
     * @method WebhookLog[] getModels(array|string $columns = ['*'])
     * @method _IH_WebhookLog_C|WebhookLog[] hydrate(array $items)
     * @method _IH_WebhookLog_C|WebhookLog[] lazy(int $chunkSize = 1000)
     * @method _IH_WebhookLog_C|WebhookLog[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WebhookLog_C|WebhookLog[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WebhookLog make(array $attributes = [])
     * @method WebhookLog newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WebhookLog[]|_IH_WebhookLog_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WebhookLog restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WebhookLog[]|_IH_WebhookLog_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WebhookLog sole(array|string $columns = ['*'])
     * @method WebhookLog updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WebhookLog_QB extends _BaseBuilder {}
    
    /**
     * @method Webhook|null getOrPut($key, $value)
     * @method Webhook|$this shift(int $count = 1)
     * @method Webhook|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Webhook|$this pop(int $count = 1)
     * @method Webhook|null pull($key, \Closure $default = null)
     * @method Webhook|null last(callable $callback = null, \Closure $default = null)
     * @method Webhook|$this random(callable|int|null $number = null)
     * @method Webhook|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Webhook|null get($key, \Closure $default = null)
     * @method Webhook|null first(callable $callback = null, \Closure $default = null)
     * @method Webhook|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Webhook|null find($key, $default = null)
     * @method Webhook[] all()
     */
    class _IH_Webhook_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Webhook[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Webhook_QB whereId($value)
     * @method _IH_Webhook_QB whereName($value)
     * @method _IH_Webhook_QB whereStatus($value)
     * @method _IH_Webhook_QB whereUrl($value)
     * @method _IH_Webhook_QB whereMethodType($value)
     * @method _IH_Webhook_QB whereCreatedAt($value)
     * @method _IH_Webhook_QB whereUpdatedAt($value)
     * @method Webhook baseSole(array|string $columns = ['*'])
     * @method Webhook create(array $attributes = [])
     * @method _IH_Webhook_C|Webhook[] cursor()
     * @method Webhook|null|_IH_Webhook_C|Webhook[] find($id, array|string $columns = ['*'])
     * @method _IH_Webhook_C|Webhook[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Webhook|_IH_Webhook_C|Webhook[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Webhook|_IH_Webhook_C|Webhook[] findOrFail($id, array|string $columns = ['*'])
     * @method Webhook|_IH_Webhook_C|Webhook[] findOrNew($id, array|string $columns = ['*'])
     * @method Webhook first(array|string $columns = ['*'])
     * @method Webhook firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Webhook firstOrCreate(array $attributes = [], array $values = [])
     * @method Webhook firstOrFail(array|string $columns = ['*'])
     * @method Webhook firstOrNew(array $attributes = [], array $values = [])
     * @method Webhook firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Webhook forceCreate(array $attributes)
     * @method _IH_Webhook_C|Webhook[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Webhook_C|Webhook[] get(array|string $columns = ['*'])
     * @method Webhook getModel()
     * @method Webhook[] getModels(array|string $columns = ['*'])
     * @method _IH_Webhook_C|Webhook[] hydrate(array $items)
     * @method _IH_Webhook_C|Webhook[] lazy(int $chunkSize = 1000)
     * @method _IH_Webhook_C|Webhook[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Webhook_C|Webhook[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Webhook make(array $attributes = [])
     * @method Webhook newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Webhook[]|_IH_Webhook_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Webhook restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Webhook[]|_IH_Webhook_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Webhook sole(array|string $columns = ['*'])
     * @method Webhook updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Webhook_QB extends _BaseBuilder {}
}