<?php //29fcadd751382a4cd4ec6bef97592138
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\MobileApp\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\MobileApp\Entities\MobileCampaign;
    use Modules\MobileApp\Entities\MobileFeaturedProduct;
    use Modules\MobileApp\Entities\MobileIntro;
    use Modules\MobileApp\Entities\MobileSlider;
    
    /**
     * @method MobileCampaign|null getOrPut($key, $value)
     * @method MobileCampaign|$this shift(int $count = 1)
     * @method MobileCampaign|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MobileCampaign|$this pop(int $count = 1)
     * @method MobileCampaign|null pull($key, \Closure $default = null)
     * @method MobileCampaign|null last(callable $callback = null, \Closure $default = null)
     * @method MobileCampaign|$this random(callable|int|null $number = null)
     * @method MobileCampaign|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MobileCampaign|null get($key, \Closure $default = null)
     * @method MobileCampaign|null first(callable $callback = null, \Closure $default = null)
     * @method MobileCampaign|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MobileCampaign|null find($key, $default = null)
     * @method MobileCampaign[] all()
     */
    class _IH_MobileCampaign_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MobileCampaign[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MobileCampaign_QB whereId($value)
     * @method _IH_MobileCampaign_QB whereType($value)
     * @method _IH_MobileCampaign_QB whereCampaignId($value)
     * @method MobileCampaign baseSole(array|string $columns = ['*'])
     * @method MobileCampaign create(array $attributes = [])
     * @method _IH_MobileCampaign_C|MobileCampaign[] cursor()
     * @method MobileCampaign|null|_IH_MobileCampaign_C|MobileCampaign[] find($id, array|string $columns = ['*'])
     * @method _IH_MobileCampaign_C|MobileCampaign[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MobileCampaign|_IH_MobileCampaign_C|MobileCampaign[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileCampaign|_IH_MobileCampaign_C|MobileCampaign[] findOrFail($id, array|string $columns = ['*'])
     * @method MobileCampaign|_IH_MobileCampaign_C|MobileCampaign[] findOrNew($id, array|string $columns = ['*'])
     * @method MobileCampaign first(array|string $columns = ['*'])
     * @method MobileCampaign firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileCampaign firstOrCreate(array $attributes = [], array $values = [])
     * @method MobileCampaign firstOrFail(array|string $columns = ['*'])
     * @method MobileCampaign firstOrNew(array $attributes = [], array $values = [])
     * @method MobileCampaign firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MobileCampaign forceCreate(array $attributes)
     * @method _IH_MobileCampaign_C|MobileCampaign[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MobileCampaign_C|MobileCampaign[] get(array|string $columns = ['*'])
     * @method MobileCampaign getModel()
     * @method MobileCampaign[] getModels(array|string $columns = ['*'])
     * @method _IH_MobileCampaign_C|MobileCampaign[] hydrate(array $items)
     * @method _IH_MobileCampaign_C|MobileCampaign[] lazy(int $chunkSize = 1000)
     * @method _IH_MobileCampaign_C|MobileCampaign[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MobileCampaign_C|MobileCampaign[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MobileCampaign make(array $attributes = [])
     * @method MobileCampaign newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MobileCampaign[]|_IH_MobileCampaign_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileCampaign restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|MobileCampaign[]|_IH_MobileCampaign_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileCampaign sole(array|string $columns = ['*'])
     * @method MobileCampaign updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MobileCampaign_QB extends _BaseBuilder {}
    
    /**
     * @method MobileFeaturedProduct|null getOrPut($key, $value)
     * @method MobileFeaturedProduct|$this shift(int $count = 1)
     * @method MobileFeaturedProduct|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MobileFeaturedProduct|$this pop(int $count = 1)
     * @method MobileFeaturedProduct|null pull($key, \Closure $default = null)
     * @method MobileFeaturedProduct|null last(callable $callback = null, \Closure $default = null)
     * @method MobileFeaturedProduct|$this random(callable|int|null $number = null)
     * @method MobileFeaturedProduct|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MobileFeaturedProduct|null get($key, \Closure $default = null)
     * @method MobileFeaturedProduct|null first(callable $callback = null, \Closure $default = null)
     * @method MobileFeaturedProduct|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MobileFeaturedProduct|null find($key, $default = null)
     * @method MobileFeaturedProduct[] all()
     */
    class _IH_MobileFeaturedProduct_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MobileFeaturedProduct[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MobileFeaturedProduct_QB whereId($value)
     * @method _IH_MobileFeaturedProduct_QB whereType($value)
     * @method _IH_MobileFeaturedProduct_QB whereIds($value)
     * @method MobileFeaturedProduct baseSole(array|string $columns = ['*'])
     * @method MobileFeaturedProduct create(array $attributes = [])
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] cursor()
     * @method MobileFeaturedProduct|null|_IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] find($id, array|string $columns = ['*'])
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MobileFeaturedProduct|_IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileFeaturedProduct|_IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] findOrFail($id, array|string $columns = ['*'])
     * @method MobileFeaturedProduct|_IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] findOrNew($id, array|string $columns = ['*'])
     * @method MobileFeaturedProduct first(array|string $columns = ['*'])
     * @method MobileFeaturedProduct firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileFeaturedProduct firstOrCreate(array $attributes = [], array $values = [])
     * @method MobileFeaturedProduct firstOrFail(array|string $columns = ['*'])
     * @method MobileFeaturedProduct firstOrNew(array $attributes = [], array $values = [])
     * @method MobileFeaturedProduct firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MobileFeaturedProduct forceCreate(array $attributes)
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] get(array|string $columns = ['*'])
     * @method MobileFeaturedProduct getModel()
     * @method MobileFeaturedProduct[] getModels(array|string $columns = ['*'])
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] hydrate(array $items)
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] lazy(int $chunkSize = 1000)
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MobileFeaturedProduct make(array $attributes = [])
     * @method MobileFeaturedProduct newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MobileFeaturedProduct[]|_IH_MobileFeaturedProduct_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileFeaturedProduct restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|MobileFeaturedProduct[]|_IH_MobileFeaturedProduct_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileFeaturedProduct sole(array|string $columns = ['*'])
     * @method MobileFeaturedProduct updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MobileFeaturedProduct_QB extends _BaseBuilder {}
    
    /**
     * @method MobileIntro|null getOrPut($key, $value)
     * @method MobileIntro|$this shift(int $count = 1)
     * @method MobileIntro|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MobileIntro|$this pop(int $count = 1)
     * @method MobileIntro|null pull($key, \Closure $default = null)
     * @method MobileIntro|null last(callable $callback = null, \Closure $default = null)
     * @method MobileIntro|$this random(callable|int|null $number = null)
     * @method MobileIntro|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MobileIntro|null get($key, \Closure $default = null)
     * @method MobileIntro|null first(callable $callback = null, \Closure $default = null)
     * @method MobileIntro|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MobileIntro|null find($key, $default = null)
     * @method MobileIntro[] all()
     */
    class _IH_MobileIntro_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MobileIntro[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MobileIntro_QB whereId($value)
     * @method _IH_MobileIntro_QB whereTitle($value)
     * @method _IH_MobileIntro_QB whereDescription($value)
     * @method _IH_MobileIntro_QB whereImageId($value)
     * @method _IH_MobileIntro_QB whereCreatedAt($value)
     * @method _IH_MobileIntro_QB whereUpdatedAt($value)
     * @method MobileIntro baseSole(array|string $columns = ['*'])
     * @method MobileIntro create(array $attributes = [])
     * @method _IH_MobileIntro_C|MobileIntro[] cursor()
     * @method MobileIntro|null|_IH_MobileIntro_C|MobileIntro[] find($id, array|string $columns = ['*'])
     * @method _IH_MobileIntro_C|MobileIntro[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MobileIntro|_IH_MobileIntro_C|MobileIntro[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileIntro|_IH_MobileIntro_C|MobileIntro[] findOrFail($id, array|string $columns = ['*'])
     * @method MobileIntro|_IH_MobileIntro_C|MobileIntro[] findOrNew($id, array|string $columns = ['*'])
     * @method MobileIntro first(array|string $columns = ['*'])
     * @method MobileIntro firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileIntro firstOrCreate(array $attributes = [], array $values = [])
     * @method MobileIntro firstOrFail(array|string $columns = ['*'])
     * @method MobileIntro firstOrNew(array $attributes = [], array $values = [])
     * @method MobileIntro firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MobileIntro forceCreate(array $attributes)
     * @method _IH_MobileIntro_C|MobileIntro[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MobileIntro_C|MobileIntro[] get(array|string $columns = ['*'])
     * @method MobileIntro getModel()
     * @method MobileIntro[] getModels(array|string $columns = ['*'])
     * @method _IH_MobileIntro_C|MobileIntro[] hydrate(array $items)
     * @method _IH_MobileIntro_C|MobileIntro[] lazy(int $chunkSize = 1000)
     * @method _IH_MobileIntro_C|MobileIntro[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MobileIntro_C|MobileIntro[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MobileIntro make(array $attributes = [])
     * @method MobileIntro newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MobileIntro[]|_IH_MobileIntro_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileIntro restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|MobileIntro[]|_IH_MobileIntro_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileIntro sole(array|string $columns = ['*'])
     * @method MobileIntro updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MobileIntro_QB extends _BaseBuilder {}
    
    /**
     * @method MobileSlider|null getOrPut($key, $value)
     * @method MobileSlider|$this shift(int $count = 1)
     * @method MobileSlider|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method MobileSlider|$this pop(int $count = 1)
     * @method MobileSlider|null pull($key, \Closure $default = null)
     * @method MobileSlider|null last(callable $callback = null, \Closure $default = null)
     * @method MobileSlider|$this random(callable|int|null $number = null)
     * @method MobileSlider|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method MobileSlider|null get($key, \Closure $default = null)
     * @method MobileSlider|null first(callable $callback = null, \Closure $default = null)
     * @method MobileSlider|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method MobileSlider|null find($key, $default = null)
     * @method MobileSlider[] all()
     */
    class _IH_MobileSlider_C extends _BaseCollection {
        /**
         * @param int $size
         * @return MobileSlider[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_MobileSlider_QB whereId($value)
     * @method _IH_MobileSlider_QB whereTitle($value)
     * @method _IH_MobileSlider_QB whereDescription($value)
     * @method _IH_MobileSlider_QB whereCategory($value)
     * @method _IH_MobileSlider_QB whereCampaign($value)
     * @method _IH_MobileSlider_QB whereImageId($value)
     * @method _IH_MobileSlider_QB whereButtonText($value)
     * @method _IH_MobileSlider_QB whereUrl($value)
     * @method _IH_MobileSlider_QB whereType($value)
     * @method _IH_MobileSlider_QB whereCreatedAt($value)
     * @method _IH_MobileSlider_QB whereUpdatedAt($value)
     * @method MobileSlider baseSole(array|string $columns = ['*'])
     * @method MobileSlider create(array $attributes = [])
     * @method _IH_MobileSlider_C|MobileSlider[] cursor()
     * @method MobileSlider|null|_IH_MobileSlider_C|MobileSlider[] find($id, array|string $columns = ['*'])
     * @method _IH_MobileSlider_C|MobileSlider[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method MobileSlider|_IH_MobileSlider_C|MobileSlider[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileSlider|_IH_MobileSlider_C|MobileSlider[] findOrFail($id, array|string $columns = ['*'])
     * @method MobileSlider|_IH_MobileSlider_C|MobileSlider[] findOrNew($id, array|string $columns = ['*'])
     * @method MobileSlider first(array|string $columns = ['*'])
     * @method MobileSlider firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method MobileSlider firstOrCreate(array $attributes = [], array $values = [])
     * @method MobileSlider firstOrFail(array|string $columns = ['*'])
     * @method MobileSlider firstOrNew(array $attributes = [], array $values = [])
     * @method MobileSlider firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method MobileSlider forceCreate(array $attributes)
     * @method _IH_MobileSlider_C|MobileSlider[] fromQuery(string $query, array $bindings = [])
     * @method _IH_MobileSlider_C|MobileSlider[] get(array|string $columns = ['*'])
     * @method MobileSlider getModel()
     * @method MobileSlider[] getModels(array|string $columns = ['*'])
     * @method _IH_MobileSlider_C|MobileSlider[] hydrate(array $items)
     * @method _IH_MobileSlider_C|MobileSlider[] lazy(int $chunkSize = 1000)
     * @method _IH_MobileSlider_C|MobileSlider[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_MobileSlider_C|MobileSlider[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method MobileSlider make(array $attributes = [])
     * @method MobileSlider newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|MobileSlider[]|_IH_MobileSlider_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileSlider restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|MobileSlider[]|_IH_MobileSlider_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method MobileSlider sole(array|string $columns = ['*'])
     * @method MobileSlider updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_MobileSlider_QB extends _BaseBuilder {}
}