<?php //edba5df2d268022ba4893b685ef88a18
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\RefundModule\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\RefundModule\Entities\RefundChat;
    use Modules\RefundModule\Entities\RefundChatMessage;
    use Modules\RefundModule\Entities\RefundProduct;
    
    /**
     * @method RefundChatMessage|null getOrPut($key, $value)
     * @method RefundChatMessage|$this shift(int $count = 1)
     * @method RefundChatMessage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundChatMessage|$this pop(int $count = 1)
     * @method RefundChatMessage|null pull($key, \Closure $default = null)
     * @method RefundChatMessage|null last(callable $callback = null, \Closure $default = null)
     * @method RefundChatMessage|$this random(callable|int|null $number = null)
     * @method RefundChatMessage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundChatMessage|null get($key, \Closure $default = null)
     * @method RefundChatMessage|null first(callable $callback = null, \Closure $default = null)
     * @method RefundChatMessage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundChatMessage|null find($key, $default = null)
     * @method RefundChatMessage[] all()
     */
    class _IH_RefundChatMessage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundChatMessage[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundChatMessage_QB whereId($value)
     * @method _IH_RefundChatMessage_QB whereMessage($value)
     * @method _IH_RefundChatMessage_QB whereNotify($value)
     * @method _IH_RefundChatMessage_QB whereAttachment($value)
     * @method _IH_RefundChatMessage_QB whereType($value)
     * @method _IH_RefundChatMessage_QB whereUserId($value)
     * @method _IH_RefundChatMessage_QB whereRefundChatId($value)
     * @method _IH_RefundChatMessage_QB whereCreatedAt($value)
     * @method _IH_RefundChatMessage_QB whereUpdatedAt($value)
     * @method RefundChatMessage baseSole(array|string $columns = ['*'])
     * @method RefundChatMessage create(array $attributes = [])
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] cursor()
     * @method RefundChatMessage|null|_IH_RefundChatMessage_C|RefundChatMessage[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundChatMessage|_IH_RefundChatMessage_C|RefundChatMessage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundChatMessage|_IH_RefundChatMessage_C|RefundChatMessage[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundChatMessage|_IH_RefundChatMessage_C|RefundChatMessage[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundChatMessage first(array|string $columns = ['*'])
     * @method RefundChatMessage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundChatMessage firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundChatMessage firstOrFail(array|string $columns = ['*'])
     * @method RefundChatMessage firstOrNew(array $attributes = [], array $values = [])
     * @method RefundChatMessage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundChatMessage forceCreate(array $attributes)
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] get(array|string $columns = ['*'])
     * @method RefundChatMessage getModel()
     * @method RefundChatMessage[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] hydrate(array $items)
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundChatMessage_C|RefundChatMessage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundChatMessage make(array $attributes = [])
     * @method RefundChatMessage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundChatMessage[]|_IH_RefundChatMessage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundChatMessage restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|RefundChatMessage[]|_IH_RefundChatMessage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundChatMessage sole(array|string $columns = ['*'])
     * @method RefundChatMessage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundChatMessage_QB extends _BaseBuilder {}
    
    /**
     * @method RefundChat|null getOrPut($key, $value)
     * @method RefundChat|$this shift(int $count = 1)
     * @method RefundChat|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundChat|$this pop(int $count = 1)
     * @method RefundChat|null pull($key, \Closure $default = null)
     * @method RefundChat|null last(callable $callback = null, \Closure $default = null)
     * @method RefundChat|$this random(callable|int|null $number = null)
     * @method RefundChat|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundChat|null get($key, \Closure $default = null)
     * @method RefundChat|null first(callable $callback = null, \Closure $default = null)
     * @method RefundChat|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundChat|null find($key, $default = null)
     * @method RefundChat[] all()
     */
    class _IH_RefundChat_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundChat[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundChat_QB whereId($value)
     * @method _IH_RefundChat_QB whereTitle($value)
     * @method _IH_RefundChat_QB whereVia($value)
     * @method _IH_RefundChat_QB whereOperatingSystem($value)
     * @method _IH_RefundChat_QB whereUserAgent($value)
     * @method _IH_RefundChat_QB whereDescription($value)
     * @method _IH_RefundChat_QB whereSubject($value)
     * @method _IH_RefundChat_QB whereStatus($value)
     * @method _IH_RefundChat_QB whereUserId($value)
     * @method _IH_RefundChat_QB whereAdminId($value)
     * @method _IH_RefundChat_QB whereCreatedAt($value)
     * @method _IH_RefundChat_QB whereUpdatedAt($value)
     * @method RefundChat baseSole(array|string $columns = ['*'])
     * @method RefundChat create(array $attributes = [])
     * @method _IH_RefundChat_C|RefundChat[] cursor()
     * @method RefundChat|null|_IH_RefundChat_C|RefundChat[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundChat_C|RefundChat[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundChat|_IH_RefundChat_C|RefundChat[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundChat|_IH_RefundChat_C|RefundChat[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundChat|_IH_RefundChat_C|RefundChat[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundChat first(array|string $columns = ['*'])
     * @method RefundChat firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundChat firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundChat firstOrFail(array|string $columns = ['*'])
     * @method RefundChat firstOrNew(array $attributes = [], array $values = [])
     * @method RefundChat firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundChat forceCreate(array $attributes)
     * @method _IH_RefundChat_C|RefundChat[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundChat_C|RefundChat[] get(array|string $columns = ['*'])
     * @method RefundChat getModel()
     * @method RefundChat[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundChat_C|RefundChat[] hydrate(array $items)
     * @method _IH_RefundChat_C|RefundChat[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundChat_C|RefundChat[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundChat_C|RefundChat[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundChat make(array $attributes = [])
     * @method RefundChat newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundChat[]|_IH_RefundChat_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundChat restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|RefundChat[]|_IH_RefundChat_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundChat sole(array|string $columns = ['*'])
     * @method RefundChat updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundChat_QB extends _BaseBuilder {}
    
    /**
     * @method RefundProduct|null getOrPut($key, $value)
     * @method RefundProduct|$this shift(int $count = 1)
     * @method RefundProduct|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method RefundProduct|$this pop(int $count = 1)
     * @method RefundProduct|null pull($key, \Closure $default = null)
     * @method RefundProduct|null last(callable $callback = null, \Closure $default = null)
     * @method RefundProduct|$this random(callable|int|null $number = null)
     * @method RefundProduct|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method RefundProduct|null get($key, \Closure $default = null)
     * @method RefundProduct|null first(callable $callback = null, \Closure $default = null)
     * @method RefundProduct|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method RefundProduct|null find($key, $default = null)
     * @method RefundProduct[] all()
     */
    class _IH_RefundProduct_C extends _BaseCollection {
        /**
         * @param int $size
         * @return RefundProduct[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_RefundProduct_QB whereId($value)
     * @method _IH_RefundProduct_QB whereUserId($value)
     * @method _IH_RefundProduct_QB whereOrderId($value)
     * @method _IH_RefundProduct_QB whereProductId($value)
     * @method _IH_RefundProduct_QB whereCreatedAt($value)
     * @method _IH_RefundProduct_QB whereUpdatedAt($value)
     * @method _IH_RefundProduct_QB whereStatus($value)
     * @method RefundProduct baseSole(array|string $columns = ['*'])
     * @method RefundProduct create(array $attributes = [])
     * @method _IH_RefundProduct_C|RefundProduct[] cursor()
     * @method RefundProduct|null|_IH_RefundProduct_C|RefundProduct[] find($id, array|string $columns = ['*'])
     * @method _IH_RefundProduct_C|RefundProduct[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method RefundProduct|_IH_RefundProduct_C|RefundProduct[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundProduct|_IH_RefundProduct_C|RefundProduct[] findOrFail($id, array|string $columns = ['*'])
     * @method RefundProduct|_IH_RefundProduct_C|RefundProduct[] findOrNew($id, array|string $columns = ['*'])
     * @method RefundProduct first(array|string $columns = ['*'])
     * @method RefundProduct firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method RefundProduct firstOrCreate(array $attributes = [], array $values = [])
     * @method RefundProduct firstOrFail(array|string $columns = ['*'])
     * @method RefundProduct firstOrNew(array $attributes = [], array $values = [])
     * @method RefundProduct firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method RefundProduct forceCreate(array $attributes)
     * @method _IH_RefundProduct_C|RefundProduct[] fromQuery(string $query, array $bindings = [])
     * @method _IH_RefundProduct_C|RefundProduct[] get(array|string $columns = ['*'])
     * @method RefundProduct getModel()
     * @method RefundProduct[] getModels(array|string $columns = ['*'])
     * @method _IH_RefundProduct_C|RefundProduct[] hydrate(array $items)
     * @method _IH_RefundProduct_C|RefundProduct[] lazy(int $chunkSize = 1000)
     * @method _IH_RefundProduct_C|RefundProduct[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_RefundProduct_C|RefundProduct[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method RefundProduct make(array $attributes = [])
     * @method RefundProduct newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|RefundProduct[]|_IH_RefundProduct_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundProduct restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|RefundProduct[]|_IH_RefundProduct_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method RefundProduct sole(array|string $columns = ['*'])
     * @method RefundProduct updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_RefundProduct_QB extends _BaseBuilder {}
}