<?php //3577878e278214015b57d9408b463d9f
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\ShippingModule\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\ShippingModule\Entities\ShippingAddress;
    use Modules\ShippingModule\Entities\ShippingMethod;
    use Modules\ShippingModule\Entities\ShippingMethodOption;
    use Modules\ShippingModule\Entities\UserShippingAddress;
    use Modules\ShippingModule\Entities\Zone;
    use Modules\ShippingModule\Entities\ZoneRegion;
    
    /**
     * @method ShippingAddress|null getOrPut($key, $value)
     * @method ShippingAddress|$this shift(int $count = 1)
     * @method ShippingAddress|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingAddress|$this pop(int $count = 1)
     * @method ShippingAddress|null pull($key, \Closure $default = null)
     * @method ShippingAddress|null last(callable $callback = null, \Closure $default = null)
     * @method ShippingAddress|$this random(callable|int|null $number = null)
     * @method ShippingAddress|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingAddress|null get($key, \Closure $default = null)
     * @method ShippingAddress|null first(callable $callback = null, \Closure $default = null)
     * @method ShippingAddress|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShippingAddress|null find($key, $default = null)
     * @method ShippingAddress[] all()
     */
    class _IH_ShippingAddress_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShippingAddress[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShippingAddress_QB whereId($value)
     * @method _IH_ShippingAddress_QB whereName($value)
     * @method _IH_ShippingAddress_QB whereEmail($value)
     * @method _IH_ShippingAddress_QB wherePhone($value)
     * @method _IH_ShippingAddress_QB whereUserId($value)
     * @method _IH_ShippingAddress_QB whereCountryId($value)
     * @method _IH_ShippingAddress_QB whereStateId($value)
     * @method _IH_ShippingAddress_QB whereCity($value)
     * @method _IH_ShippingAddress_QB whereZipCode($value)
     * @method _IH_ShippingAddress_QB whereAddress($value)
     * @method _IH_ShippingAddress_QB whereCreatedAt($value)
     * @method _IH_ShippingAddress_QB whereUpdatedAt($value)
     * @method ShippingAddress baseSole(array|string $columns = ['*'])
     * @method ShippingAddress create(array $attributes = [])
     * @method _IH_ShippingAddress_C|ShippingAddress[] cursor()
     * @method ShippingAddress|null|_IH_ShippingAddress_C|ShippingAddress[] find($id, array|string $columns = ['*'])
     * @method _IH_ShippingAddress_C|ShippingAddress[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShippingAddress|_IH_ShippingAddress_C|ShippingAddress[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingAddress|_IH_ShippingAddress_C|ShippingAddress[] findOrFail($id, array|string $columns = ['*'])
     * @method ShippingAddress|_IH_ShippingAddress_C|ShippingAddress[] findOrNew($id, array|string $columns = ['*'])
     * @method ShippingAddress first(array|string $columns = ['*'])
     * @method ShippingAddress firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingAddress firstOrCreate(array $attributes = [], array $values = [])
     * @method ShippingAddress firstOrFail(array|string $columns = ['*'])
     * @method ShippingAddress firstOrNew(array $attributes = [], array $values = [])
     * @method ShippingAddress firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShippingAddress forceCreate(array $attributes)
     * @method _IH_ShippingAddress_C|ShippingAddress[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShippingAddress_C|ShippingAddress[] get(array|string $columns = ['*'])
     * @method ShippingAddress getModel()
     * @method ShippingAddress[] getModels(array|string $columns = ['*'])
     * @method _IH_ShippingAddress_C|ShippingAddress[] hydrate(array $items)
     * @method _IH_ShippingAddress_C|ShippingAddress[] lazy(int $chunkSize = 1000)
     * @method _IH_ShippingAddress_C|ShippingAddress[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShippingAddress_C|ShippingAddress[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShippingAddress make(array $attributes = [])
     * @method ShippingAddress newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShippingAddress[]|_IH_ShippingAddress_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingAddress restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShippingAddress[]|_IH_ShippingAddress_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingAddress sole(array|string $columns = ['*'])
     * @method ShippingAddress updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShippingAddress_QB extends _BaseBuilder {}
    
    /**
     * @method ShippingMethodOption|null getOrPut($key, $value)
     * @method ShippingMethodOption|$this shift(int $count = 1)
     * @method ShippingMethodOption|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingMethodOption|$this pop(int $count = 1)
     * @method ShippingMethodOption|null pull($key, \Closure $default = null)
     * @method ShippingMethodOption|null last(callable $callback = null, \Closure $default = null)
     * @method ShippingMethodOption|$this random(callable|int|null $number = null)
     * @method ShippingMethodOption|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingMethodOption|null get($key, \Closure $default = null)
     * @method ShippingMethodOption|null first(callable $callback = null, \Closure $default = null)
     * @method ShippingMethodOption|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShippingMethodOption|null find($key, $default = null)
     * @method ShippingMethodOption[] all()
     */
    class _IH_ShippingMethodOption_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShippingMethodOption[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShippingMethodOption_QB whereId($value)
     * @method _IH_ShippingMethodOption_QB whereTitle($value)
     * @method _IH_ShippingMethodOption_QB whereShippingMethodId($value)
     * @method _IH_ShippingMethodOption_QB whereStatus($value)
     * @method _IH_ShippingMethodOption_QB whereTaxStatus($value)
     * @method _IH_ShippingMethodOption_QB whereSettingPreset($value)
     * @method _IH_ShippingMethodOption_QB whereCost($value)
     * @method _IH_ShippingMethodOption_QB whereMinimumOrderAmount($value)
     * @method _IH_ShippingMethodOption_QB whereCreatedAt($value)
     * @method _IH_ShippingMethodOption_QB whereUpdatedAt($value)
     * @method _IH_ShippingMethodOption_QB whereCoupon($value)
     * @method ShippingMethodOption baseSole(array|string $columns = ['*'])
     * @method ShippingMethodOption create(array $attributes = [])
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] cursor()
     * @method ShippingMethodOption|null|_IH_ShippingMethodOption_C|ShippingMethodOption[] find($id, array|string $columns = ['*'])
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShippingMethodOption|_IH_ShippingMethodOption_C|ShippingMethodOption[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingMethodOption|_IH_ShippingMethodOption_C|ShippingMethodOption[] findOrFail($id, array|string $columns = ['*'])
     * @method ShippingMethodOption|_IH_ShippingMethodOption_C|ShippingMethodOption[] findOrNew($id, array|string $columns = ['*'])
     * @method ShippingMethodOption first(array|string $columns = ['*'])
     * @method ShippingMethodOption firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingMethodOption firstOrCreate(array $attributes = [], array $values = [])
     * @method ShippingMethodOption firstOrFail(array|string $columns = ['*'])
     * @method ShippingMethodOption firstOrNew(array $attributes = [], array $values = [])
     * @method ShippingMethodOption firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShippingMethodOption forceCreate(array $attributes)
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] get(array|string $columns = ['*'])
     * @method ShippingMethodOption getModel()
     * @method ShippingMethodOption[] getModels(array|string $columns = ['*'])
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] hydrate(array $items)
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] lazy(int $chunkSize = 1000)
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShippingMethodOption_C|ShippingMethodOption[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShippingMethodOption make(array $attributes = [])
     * @method ShippingMethodOption newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShippingMethodOption[]|_IH_ShippingMethodOption_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingMethodOption restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShippingMethodOption[]|_IH_ShippingMethodOption_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingMethodOption sole(array|string $columns = ['*'])
     * @method ShippingMethodOption updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShippingMethodOption_QB extends _BaseBuilder {}
    
    /**
     * @method ShippingMethod|null getOrPut($key, $value)
     * @method ShippingMethod|$this shift(int $count = 1)
     * @method ShippingMethod|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingMethod|$this pop(int $count = 1)
     * @method ShippingMethod|null pull($key, \Closure $default = null)
     * @method ShippingMethod|null last(callable $callback = null, \Closure $default = null)
     * @method ShippingMethod|$this random(callable|int|null $number = null)
     * @method ShippingMethod|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ShippingMethod|null get($key, \Closure $default = null)
     * @method ShippingMethod|null first(callable $callback = null, \Closure $default = null)
     * @method ShippingMethod|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ShippingMethod|null find($key, $default = null)
     * @method ShippingMethod[] all()
     */
    class _IH_ShippingMethod_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ShippingMethod[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ShippingMethod_QB whereId($value)
     * @method _IH_ShippingMethod_QB whereName($value)
     * @method _IH_ShippingMethod_QB whereZoneId($value)
     * @method _IH_ShippingMethod_QB whereIsDefault($value)
     * @method _IH_ShippingMethod_QB whereCreatedAt($value)
     * @method _IH_ShippingMethod_QB whereUpdatedAt($value)
     * @method ShippingMethod baseSole(array|string $columns = ['*'])
     * @method ShippingMethod create(array $attributes = [])
     * @method _IH_ShippingMethod_C|ShippingMethod[] cursor()
     * @method ShippingMethod|null|_IH_ShippingMethod_C|ShippingMethod[] find($id, array|string $columns = ['*'])
     * @method _IH_ShippingMethod_C|ShippingMethod[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ShippingMethod|_IH_ShippingMethod_C|ShippingMethod[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingMethod|_IH_ShippingMethod_C|ShippingMethod[] findOrFail($id, array|string $columns = ['*'])
     * @method ShippingMethod|_IH_ShippingMethod_C|ShippingMethod[] findOrNew($id, array|string $columns = ['*'])
     * @method ShippingMethod first(array|string $columns = ['*'])
     * @method ShippingMethod firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ShippingMethod firstOrCreate(array $attributes = [], array $values = [])
     * @method ShippingMethod firstOrFail(array|string $columns = ['*'])
     * @method ShippingMethod firstOrNew(array $attributes = [], array $values = [])
     * @method ShippingMethod firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ShippingMethod forceCreate(array $attributes)
     * @method _IH_ShippingMethod_C|ShippingMethod[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ShippingMethod_C|ShippingMethod[] get(array|string $columns = ['*'])
     * @method ShippingMethod getModel()
     * @method ShippingMethod[] getModels(array|string $columns = ['*'])
     * @method _IH_ShippingMethod_C|ShippingMethod[] hydrate(array $items)
     * @method _IH_ShippingMethod_C|ShippingMethod[] lazy(int $chunkSize = 1000)
     * @method _IH_ShippingMethod_C|ShippingMethod[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ShippingMethod_C|ShippingMethod[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ShippingMethod make(array $attributes = [])
     * @method ShippingMethod newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ShippingMethod[]|_IH_ShippingMethod_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingMethod restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ShippingMethod[]|_IH_ShippingMethod_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ShippingMethod sole(array|string $columns = ['*'])
     * @method ShippingMethod updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ShippingMethod_QB extends _BaseBuilder {}
    
    /**
     * @method UserShippingAddress|null getOrPut($key, $value)
     * @method UserShippingAddress|$this shift(int $count = 1)
     * @method UserShippingAddress|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method UserShippingAddress|$this pop(int $count = 1)
     * @method UserShippingAddress|null pull($key, \Closure $default = null)
     * @method UserShippingAddress|null last(callable $callback = null, \Closure $default = null)
     * @method UserShippingAddress|$this random(callable|int|null $number = null)
     * @method UserShippingAddress|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method UserShippingAddress|null get($key, \Closure $default = null)
     * @method UserShippingAddress|null first(callable $callback = null, \Closure $default = null)
     * @method UserShippingAddress|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method UserShippingAddress|null find($key, $default = null)
     * @method UserShippingAddress[] all()
     */
    class _IH_UserShippingAddress_C extends _BaseCollection {
        /**
         * @param int $size
         * @return UserShippingAddress[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_UserShippingAddress_QB whereId($value)
     * @method _IH_UserShippingAddress_QB whereUserId($value)
     * @method _IH_UserShippingAddress_QB whereName($value)
     * @method _IH_UserShippingAddress_QB whereAddress($value)
     * @method _IH_UserShippingAddress_QB whereCreatedAt($value)
     * @method _IH_UserShippingAddress_QB whereUpdatedAt($value)
     * @method UserShippingAddress baseSole(array|string $columns = ['*'])
     * @method UserShippingAddress create(array $attributes = [])
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] cursor()
     * @method UserShippingAddress|null|_IH_UserShippingAddress_C|UserShippingAddress[] find($id, array|string $columns = ['*'])
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method UserShippingAddress|_IH_UserShippingAddress_C|UserShippingAddress[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserShippingAddress|_IH_UserShippingAddress_C|UserShippingAddress[] findOrFail($id, array|string $columns = ['*'])
     * @method UserShippingAddress|_IH_UserShippingAddress_C|UserShippingAddress[] findOrNew($id, array|string $columns = ['*'])
     * @method UserShippingAddress first(array|string $columns = ['*'])
     * @method UserShippingAddress firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method UserShippingAddress firstOrCreate(array $attributes = [], array $values = [])
     * @method UserShippingAddress firstOrFail(array|string $columns = ['*'])
     * @method UserShippingAddress firstOrNew(array $attributes = [], array $values = [])
     * @method UserShippingAddress firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method UserShippingAddress forceCreate(array $attributes)
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] fromQuery(string $query, array $bindings = [])
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] get(array|string $columns = ['*'])
     * @method UserShippingAddress getModel()
     * @method UserShippingAddress[] getModels(array|string $columns = ['*'])
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] hydrate(array $items)
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] lazy(int $chunkSize = 1000)
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_UserShippingAddress_C|UserShippingAddress[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method UserShippingAddress make(array $attributes = [])
     * @method UserShippingAddress newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|UserShippingAddress[]|_IH_UserShippingAddress_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserShippingAddress restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|UserShippingAddress[]|_IH_UserShippingAddress_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method UserShippingAddress sole(array|string $columns = ['*'])
     * @method UserShippingAddress updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_UserShippingAddress_QB extends _BaseBuilder {}
    
    /**
     * @method ZoneRegion|null getOrPut($key, $value)
     * @method ZoneRegion|$this shift(int $count = 1)
     * @method ZoneRegion|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ZoneRegion|$this pop(int $count = 1)
     * @method ZoneRegion|null pull($key, \Closure $default = null)
     * @method ZoneRegion|null last(callable $callback = null, \Closure $default = null)
     * @method ZoneRegion|$this random(callable|int|null $number = null)
     * @method ZoneRegion|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ZoneRegion|null get($key, \Closure $default = null)
     * @method ZoneRegion|null first(callable $callback = null, \Closure $default = null)
     * @method ZoneRegion|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ZoneRegion|null find($key, $default = null)
     * @method ZoneRegion[] all()
     */
    class _IH_ZoneRegion_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ZoneRegion[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ZoneRegion_QB whereId($value)
     * @method _IH_ZoneRegion_QB whereZoneId($value)
     * @method _IH_ZoneRegion_QB whereCountry($value)
     * @method _IH_ZoneRegion_QB whereState($value)
     * @method _IH_ZoneRegion_QB whereCreatedAt($value)
     * @method _IH_ZoneRegion_QB whereUpdatedAt($value)
     * @method ZoneRegion baseSole(array|string $columns = ['*'])
     * @method ZoneRegion create(array $attributes = [])
     * @method _IH_ZoneRegion_C|ZoneRegion[] cursor()
     * @method ZoneRegion|null|_IH_ZoneRegion_C|ZoneRegion[] find($id, array|string $columns = ['*'])
     * @method _IH_ZoneRegion_C|ZoneRegion[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ZoneRegion|_IH_ZoneRegion_C|ZoneRegion[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoneRegion|_IH_ZoneRegion_C|ZoneRegion[] findOrFail($id, array|string $columns = ['*'])
     * @method ZoneRegion|_IH_ZoneRegion_C|ZoneRegion[] findOrNew($id, array|string $columns = ['*'])
     * @method ZoneRegion first(array|string $columns = ['*'])
     * @method ZoneRegion firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method ZoneRegion firstOrCreate(array $attributes = [], array $values = [])
     * @method ZoneRegion firstOrFail(array|string $columns = ['*'])
     * @method ZoneRegion firstOrNew(array $attributes = [], array $values = [])
     * @method ZoneRegion firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ZoneRegion forceCreate(array $attributes)
     * @method _IH_ZoneRegion_C|ZoneRegion[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ZoneRegion_C|ZoneRegion[] get(array|string $columns = ['*'])
     * @method ZoneRegion getModel()
     * @method ZoneRegion[] getModels(array|string $columns = ['*'])
     * @method _IH_ZoneRegion_C|ZoneRegion[] hydrate(array $items)
     * @method _IH_ZoneRegion_C|ZoneRegion[] lazy(int $chunkSize = 1000)
     * @method _IH_ZoneRegion_C|ZoneRegion[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ZoneRegion_C|ZoneRegion[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ZoneRegion make(array $attributes = [])
     * @method ZoneRegion newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ZoneRegion[]|_IH_ZoneRegion_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ZoneRegion restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ZoneRegion[]|_IH_ZoneRegion_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ZoneRegion sole(array|string $columns = ['*'])
     * @method ZoneRegion updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ZoneRegion_QB extends _BaseBuilder {}
    
    /**
     * @method Zone|null getOrPut($key, $value)
     * @method Zone|$this shift(int $count = 1)
     * @method Zone|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Zone|$this pop(int $count = 1)
     * @method Zone|null pull($key, \Closure $default = null)
     * @method Zone|null last(callable $callback = null, \Closure $default = null)
     * @method Zone|$this random(callable|int|null $number = null)
     * @method Zone|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Zone|null get($key, \Closure $default = null)
     * @method Zone|null first(callable $callback = null, \Closure $default = null)
     * @method Zone|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Zone|null find($key, $default = null)
     * @method Zone[] all()
     */
    class _IH_Zone_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Zone[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Zone_QB whereId($value)
     * @method _IH_Zone_QB whereName($value)
     * @method _IH_Zone_QB whereCreatedAt($value)
     * @method _IH_Zone_QB whereUpdatedAt($value)
     * @method Zone baseSole(array|string $columns = ['*'])
     * @method Zone create(array $attributes = [])
     * @method _IH_Zone_C|Zone[] cursor()
     * @method Zone|null|_IH_Zone_C|Zone[] find($id, array|string $columns = ['*'])
     * @method _IH_Zone_C|Zone[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Zone|_IH_Zone_C|Zone[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Zone|_IH_Zone_C|Zone[] findOrFail($id, array|string $columns = ['*'])
     * @method Zone|_IH_Zone_C|Zone[] findOrNew($id, array|string $columns = ['*'])
     * @method Zone first(array|string $columns = ['*'])
     * @method Zone firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Zone firstOrCreate(array $attributes = [], array $values = [])
     * @method Zone firstOrFail(array|string $columns = ['*'])
     * @method Zone firstOrNew(array $attributes = [], array $values = [])
     * @method Zone firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Zone forceCreate(array $attributes)
     * @method _IH_Zone_C|Zone[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Zone_C|Zone[] get(array|string $columns = ['*'])
     * @method Zone getModel()
     * @method Zone[] getModels(array|string $columns = ['*'])
     * @method _IH_Zone_C|Zone[] hydrate(array $items)
     * @method _IH_Zone_C|Zone[] lazy(int $chunkSize = 1000)
     * @method _IH_Zone_C|Zone[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Zone_C|Zone[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Zone make(array $attributes = [])
     * @method Zone newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Zone[]|_IH_Zone_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Zone restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Zone[]|_IH_Zone_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Zone sole(array|string $columns = ['*'])
     * @method Zone updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Zone_QB extends _BaseBuilder {}
}