<?php //2f7d4766dfbddb397ef50e2a39d2bff4
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\Wallet\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\Wallet\Entities\Wallet;
    use Modules\Wallet\Entities\WalletHistory;
    use Modules\Wallet\Entities\WalletSettings;
    use Modules\Wallet\Entities\WalletTenantList;
    
    /**
     * @method WalletHistory|null getOrPut($key, $value)
     * @method WalletHistory|$this shift(int $count = 1)
     * @method WalletHistory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WalletHistory|$this pop(int $count = 1)
     * @method WalletHistory|null pull($key, \Closure $default = null)
     * @method WalletHistory|null last(callable $callback = null, \Closure $default = null)
     * @method WalletHistory|$this random(callable|int|null $number = null)
     * @method WalletHistory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WalletHistory|null get($key, \Closure $default = null)
     * @method WalletHistory|null first(callable $callback = null, \Closure $default = null)
     * @method WalletHistory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WalletHistory|null find($key, $default = null)
     * @method WalletHistory[] all()
     */
    class _IH_WalletHistory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WalletHistory[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WalletHistory_QB whereId($value)
     * @method _IH_WalletHistory_QB whereUserId($value)
     * @method _IH_WalletHistory_QB wherePaymentGateway($value)
     * @method _IH_WalletHistory_QB wherePaymentStatus($value)
     * @method _IH_WalletHistory_QB whereAmount($value)
     * @method _IH_WalletHistory_QB whereTransactionId($value)
     * @method _IH_WalletHistory_QB whereManualPaymentImage($value)
     * @method _IH_WalletHistory_QB whereStatus($value)
     * @method _IH_WalletHistory_QB whereCreatedAt($value)
     * @method _IH_WalletHistory_QB whereUpdatedAt($value)
     * @method WalletHistory baseSole(array|string $columns = ['*'])
     * @method WalletHistory create(array $attributes = [])
     * @method _IH_WalletHistory_C|WalletHistory[] cursor()
     * @method WalletHistory|null|_IH_WalletHistory_C|WalletHistory[] find($id, array|string $columns = ['*'])
     * @method _IH_WalletHistory_C|WalletHistory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WalletHistory|_IH_WalletHistory_C|WalletHistory[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletHistory|_IH_WalletHistory_C|WalletHistory[] findOrFail($id, array|string $columns = ['*'])
     * @method WalletHistory|_IH_WalletHistory_C|WalletHistory[] findOrNew($id, array|string $columns = ['*'])
     * @method WalletHistory first(array|string $columns = ['*'])
     * @method WalletHistory firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletHistory firstOrCreate(array $attributes = [], array $values = [])
     * @method WalletHistory firstOrFail(array|string $columns = ['*'])
     * @method WalletHistory firstOrNew(array $attributes = [], array $values = [])
     * @method WalletHistory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WalletHistory forceCreate(array $attributes)
     * @method _IH_WalletHistory_C|WalletHistory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WalletHistory_C|WalletHistory[] get(array|string $columns = ['*'])
     * @method WalletHistory getModel()
     * @method WalletHistory[] getModels(array|string $columns = ['*'])
     * @method _IH_WalletHistory_C|WalletHistory[] hydrate(array $items)
     * @method _IH_WalletHistory_C|WalletHistory[] lazy(int $chunkSize = 1000)
     * @method _IH_WalletHistory_C|WalletHistory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WalletHistory_C|WalletHistory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WalletHistory make(array $attributes = [])
     * @method WalletHistory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WalletHistory[]|_IH_WalletHistory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletHistory restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WalletHistory[]|_IH_WalletHistory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletHistory sole(array|string $columns = ['*'])
     * @method WalletHistory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WalletHistory_QB extends _BaseBuilder {}
    
    /**
     * @method WalletSettings|null getOrPut($key, $value)
     * @method WalletSettings|$this shift(int $count = 1)
     * @method WalletSettings|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WalletSettings|$this pop(int $count = 1)
     * @method WalletSettings|null pull($key, \Closure $default = null)
     * @method WalletSettings|null last(callable $callback = null, \Closure $default = null)
     * @method WalletSettings|$this random(callable|int|null $number = null)
     * @method WalletSettings|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WalletSettings|null get($key, \Closure $default = null)
     * @method WalletSettings|null first(callable $callback = null, \Closure $default = null)
     * @method WalletSettings|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WalletSettings|null find($key, $default = null)
     * @method WalletSettings[] all()
     */
    class _IH_WalletSettings_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WalletSettings[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WalletSettings_QB whereId($value)
     * @method _IH_WalletSettings_QB whereUserId($value)
     * @method _IH_WalletSettings_QB whereRenewPackage($value)
     * @method _IH_WalletSettings_QB whereWalletAlert($value)
     * @method _IH_WalletSettings_QB whereMinimumAmount($value)
     * @method _IH_WalletSettings_QB whereCreatedAt($value)
     * @method _IH_WalletSettings_QB whereUpdatedAt($value)
     * @method WalletSettings baseSole(array|string $columns = ['*'])
     * @method WalletSettings create(array $attributes = [])
     * @method _IH_WalletSettings_C|WalletSettings[] cursor()
     * @method WalletSettings|null|_IH_WalletSettings_C|WalletSettings[] find($id, array|string $columns = ['*'])
     * @method _IH_WalletSettings_C|WalletSettings[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WalletSettings|_IH_WalletSettings_C|WalletSettings[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletSettings|_IH_WalletSettings_C|WalletSettings[] findOrFail($id, array|string $columns = ['*'])
     * @method WalletSettings|_IH_WalletSettings_C|WalletSettings[] findOrNew($id, array|string $columns = ['*'])
     * @method WalletSettings first(array|string $columns = ['*'])
     * @method WalletSettings firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletSettings firstOrCreate(array $attributes = [], array $values = [])
     * @method WalletSettings firstOrFail(array|string $columns = ['*'])
     * @method WalletSettings firstOrNew(array $attributes = [], array $values = [])
     * @method WalletSettings firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WalletSettings forceCreate(array $attributes)
     * @method _IH_WalletSettings_C|WalletSettings[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WalletSettings_C|WalletSettings[] get(array|string $columns = ['*'])
     * @method WalletSettings getModel()
     * @method WalletSettings[] getModels(array|string $columns = ['*'])
     * @method _IH_WalletSettings_C|WalletSettings[] hydrate(array $items)
     * @method _IH_WalletSettings_C|WalletSettings[] lazy(int $chunkSize = 1000)
     * @method _IH_WalletSettings_C|WalletSettings[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WalletSettings_C|WalletSettings[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WalletSettings make(array $attributes = [])
     * @method WalletSettings newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WalletSettings[]|_IH_WalletSettings_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletSettings restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WalletSettings[]|_IH_WalletSettings_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletSettings sole(array|string $columns = ['*'])
     * @method WalletSettings updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WalletSettings_QB extends _BaseBuilder {}
    
    /**
     * @method WalletTenantList|null getOrPut($key, $value)
     * @method WalletTenantList|$this shift(int $count = 1)
     * @method WalletTenantList|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method WalletTenantList|$this pop(int $count = 1)
     * @method WalletTenantList|null pull($key, \Closure $default = null)
     * @method WalletTenantList|null last(callable $callback = null, \Closure $default = null)
     * @method WalletTenantList|$this random(callable|int|null $number = null)
     * @method WalletTenantList|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method WalletTenantList|null get($key, \Closure $default = null)
     * @method WalletTenantList|null first(callable $callback = null, \Closure $default = null)
     * @method WalletTenantList|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method WalletTenantList|null find($key, $default = null)
     * @method WalletTenantList[] all()
     */
    class _IH_WalletTenantList_C extends _BaseCollection {
        /**
         * @param int $size
         * @return WalletTenantList[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_WalletTenantList_QB whereId($value)
     * @method _IH_WalletTenantList_QB whereUserId($value)
     * @method _IH_WalletTenantList_QB whereTenantId($value)
     * @method _IH_WalletTenantList_QB whereCreatedAt($value)
     * @method _IH_WalletTenantList_QB whereUpdatedAt($value)
     * @method WalletTenantList baseSole(array|string $columns = ['*'])
     * @method WalletTenantList create(array $attributes = [])
     * @method _IH_WalletTenantList_C|WalletTenantList[] cursor()
     * @method WalletTenantList|null|_IH_WalletTenantList_C|WalletTenantList[] find($id, array|string $columns = ['*'])
     * @method _IH_WalletTenantList_C|WalletTenantList[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method WalletTenantList|_IH_WalletTenantList_C|WalletTenantList[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletTenantList|_IH_WalletTenantList_C|WalletTenantList[] findOrFail($id, array|string $columns = ['*'])
     * @method WalletTenantList|_IH_WalletTenantList_C|WalletTenantList[] findOrNew($id, array|string $columns = ['*'])
     * @method WalletTenantList first(array|string $columns = ['*'])
     * @method WalletTenantList firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method WalletTenantList firstOrCreate(array $attributes = [], array $values = [])
     * @method WalletTenantList firstOrFail(array|string $columns = ['*'])
     * @method WalletTenantList firstOrNew(array $attributes = [], array $values = [])
     * @method WalletTenantList firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method WalletTenantList forceCreate(array $attributes)
     * @method _IH_WalletTenantList_C|WalletTenantList[] fromQuery(string $query, array $bindings = [])
     * @method _IH_WalletTenantList_C|WalletTenantList[] get(array|string $columns = ['*'])
     * @method WalletTenantList getModel()
     * @method WalletTenantList[] getModels(array|string $columns = ['*'])
     * @method _IH_WalletTenantList_C|WalletTenantList[] hydrate(array $items)
     * @method _IH_WalletTenantList_C|WalletTenantList[] lazy(int $chunkSize = 1000)
     * @method _IH_WalletTenantList_C|WalletTenantList[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_WalletTenantList_C|WalletTenantList[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method WalletTenantList make(array $attributes = [])
     * @method WalletTenantList newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|WalletTenantList[]|_IH_WalletTenantList_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletTenantList restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|WalletTenantList[]|_IH_WalletTenantList_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method WalletTenantList sole(array|string $columns = ['*'])
     * @method WalletTenantList updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_WalletTenantList_QB extends _BaseBuilder {}
    
    /**
     * @method Wallet|null getOrPut($key, $value)
     * @method Wallet|$this shift(int $count = 1)
     * @method Wallet|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Wallet|$this pop(int $count = 1)
     * @method Wallet|null pull($key, \Closure $default = null)
     * @method Wallet|null last(callable $callback = null, \Closure $default = null)
     * @method Wallet|$this random(callable|int|null $number = null)
     * @method Wallet|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Wallet|null get($key, \Closure $default = null)
     * @method Wallet|null first(callable $callback = null, \Closure $default = null)
     * @method Wallet|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Wallet|null find($key, $default = null)
     * @method Wallet[] all()
     */
    class _IH_Wallet_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Wallet[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Wallet_QB whereId($value)
     * @method _IH_Wallet_QB whereUserId($value)
     * @method _IH_Wallet_QB whereBalance($value)
     * @method _IH_Wallet_QB whereStatus($value)
     * @method _IH_Wallet_QB whereCreatedAt($value)
     * @method _IH_Wallet_QB whereUpdatedAt($value)
     * @method _IH_Wallet_QB whereUniqueKey($value)
     * @method Wallet baseSole(array|string $columns = ['*'])
     * @method Wallet create(array $attributes = [])
     * @method _IH_Wallet_C|Wallet[] cursor()
     * @method Wallet|null|_IH_Wallet_C|Wallet[] find($id, array|string $columns = ['*'])
     * @method _IH_Wallet_C|Wallet[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Wallet|_IH_Wallet_C|Wallet[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallet|_IH_Wallet_C|Wallet[] findOrFail($id, array|string $columns = ['*'])
     * @method Wallet|_IH_Wallet_C|Wallet[] findOrNew($id, array|string $columns = ['*'])
     * @method Wallet first(array|string $columns = ['*'])
     * @method Wallet firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method Wallet firstOrCreate(array $attributes = [], array $values = [])
     * @method Wallet firstOrFail(array|string $columns = ['*'])
     * @method Wallet firstOrNew(array $attributes = [], array $values = [])
     * @method Wallet firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Wallet forceCreate(array $attributes)
     * @method _IH_Wallet_C|Wallet[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Wallet_C|Wallet[] get(array|string $columns = ['*'])
     * @method Wallet getModel()
     * @method Wallet[] getModels(array|string $columns = ['*'])
     * @method _IH_Wallet_C|Wallet[] hydrate(array $items)
     * @method _IH_Wallet_C|Wallet[] lazy(int $chunkSize = 1000)
     * @method _IH_Wallet_C|Wallet[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Wallet_C|Wallet[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Wallet make(array $attributes = [])
     * @method Wallet newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Wallet[]|_IH_Wallet_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Wallet restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Wallet[]|_IH_Wallet_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Wallet sole(array|string $columns = ['*'])
     * @method Wallet updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Wallet_QB extends _BaseBuilder {}
}