<?php //e1443672f735089f10605652a6485c68
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\DigitalProduct\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\DigitalProduct\Entities\AdditionalCustomField;
    use Modules\DigitalProduct\Entities\AdditionalField;
    use Modules\DigitalProduct\Entities\DigitalAuthor;
    use Modules\DigitalProduct\Entities\DigitalCategories;
    use Modules\DigitalProduct\Entities\DigitalChildCategories;
    use Modules\DigitalProduct\Entities\DigitalLanguage;
    use Modules\DigitalProduct\Entities\DigitalProduct;
    use Modules\DigitalProduct\Entities\DigitalProductCategories;
    use Modules\DigitalProduct\Entities\DigitalProductChildCategories;
    use Modules\DigitalProduct\Entities\DigitalProductDownload;
    use Modules\DigitalProduct\Entities\DigitalProductGallery;
    use Modules\DigitalProduct\Entities\DigitalProductLanguage;
    use Modules\DigitalProduct\Entities\DigitalProductRefundPolicies;
    use Modules\DigitalProduct\Entities\DigitalProductReviews;
    use Modules\DigitalProduct\Entities\DigitalProductSubCategories;
    use Modules\DigitalProduct\Entities\DigitalProductTags;
    use Modules\DigitalProduct\Entities\DigitalProductType;
    use Modules\DigitalProduct\Entities\DigitalSubCategories;
    use Modules\DigitalProduct\Entities\DigitalTax;
    
    /**
     * @method AdditionalCustomField|null getOrPut($key, $value)
     * @method AdditionalCustomField|$this shift(int $count = 1)
     * @method AdditionalCustomField|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AdditionalCustomField|$this pop(int $count = 1)
     * @method AdditionalCustomField|null pull($key, \Closure $default = null)
     * @method AdditionalCustomField|null last(callable $callback = null, \Closure $default = null)
     * @method AdditionalCustomField|$this random(callable|int|null $number = null)
     * @method AdditionalCustomField|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AdditionalCustomField|null get($key, \Closure $default = null)
     * @method AdditionalCustomField|null first(callable $callback = null, \Closure $default = null)
     * @method AdditionalCustomField|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AdditionalCustomField|null find($key, $default = null)
     * @method AdditionalCustomField[] all()
     */
    class _IH_AdditionalCustomField_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AdditionalCustomField[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AdditionalCustomField_QB whereId($value)
     * @method _IH_AdditionalCustomField_QB whereAdditionalFieldId($value)
     * @method _IH_AdditionalCustomField_QB whereOptionName($value)
     * @method _IH_AdditionalCustomField_QB whereOptionValue($value)
     * @method _IH_AdditionalCustomField_QB whereCreatedAt($value)
     * @method _IH_AdditionalCustomField_QB whereUpdatedAt($value)
     * @method AdditionalCustomField baseSole(array|string $columns = ['*'])
     * @method AdditionalCustomField create(array $attributes = [])
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] cursor()
     * @method AdditionalCustomField|null|_IH_AdditionalCustomField_C|AdditionalCustomField[] find($id, array|string $columns = ['*'])
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AdditionalCustomField|_IH_AdditionalCustomField_C|AdditionalCustomField[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AdditionalCustomField|_IH_AdditionalCustomField_C|AdditionalCustomField[] findOrFail($id, array|string $columns = ['*'])
     * @method AdditionalCustomField|_IH_AdditionalCustomField_C|AdditionalCustomField[] findOrNew($id, array|string $columns = ['*'])
     * @method AdditionalCustomField first(array|string $columns = ['*'])
     * @method AdditionalCustomField firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AdditionalCustomField firstOrCreate(array $attributes = [], array $values = [])
     * @method AdditionalCustomField firstOrFail(array|string $columns = ['*'])
     * @method AdditionalCustomField firstOrNew(array $attributes = [], array $values = [])
     * @method AdditionalCustomField firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AdditionalCustomField forceCreate(array $attributes)
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] get(array|string $columns = ['*'])
     * @method AdditionalCustomField getModel()
     * @method AdditionalCustomField[] getModels(array|string $columns = ['*'])
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] hydrate(array $items)
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] lazy(int $chunkSize = 1000)
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AdditionalCustomField_C|AdditionalCustomField[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AdditionalCustomField make(array $attributes = [])
     * @method AdditionalCustomField newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AdditionalCustomField[]|_IH_AdditionalCustomField_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AdditionalCustomField restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AdditionalCustomField[]|_IH_AdditionalCustomField_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AdditionalCustomField sole(array|string $columns = ['*'])
     * @method AdditionalCustomField updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AdditionalCustomField_QB extends _BaseBuilder {}
    
    /**
     * @method AdditionalField|null getOrPut($key, $value)
     * @method AdditionalField|$this shift(int $count = 1)
     * @method AdditionalField|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method AdditionalField|$this pop(int $count = 1)
     * @method AdditionalField|null pull($key, \Closure $default = null)
     * @method AdditionalField|null last(callable $callback = null, \Closure $default = null)
     * @method AdditionalField|$this random(callable|int|null $number = null)
     * @method AdditionalField|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method AdditionalField|null get($key, \Closure $default = null)
     * @method AdditionalField|null first(callable $callback = null, \Closure $default = null)
     * @method AdditionalField|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method AdditionalField|null find($key, $default = null)
     * @method AdditionalField[] all()
     */
    class _IH_AdditionalField_C extends _BaseCollection {
        /**
         * @param int $size
         * @return AdditionalField[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_AdditionalField_QB whereId($value)
     * @method _IH_AdditionalField_QB whereProductId($value)
     * @method _IH_AdditionalField_QB whereBadgeId($value)
     * @method _IH_AdditionalField_QB wherePages($value)
     * @method _IH_AdditionalField_QB whereLanguage($value)
     * @method _IH_AdditionalField_QB whereFormats($value)
     * @method _IH_AdditionalField_QB whereWords($value)
     * @method _IH_AdditionalField_QB whereToolUsed($value)
     * @method _IH_AdditionalField_QB whereDatabaseUsed($value)
     * @method _IH_AdditionalField_QB whereCompatibleBrowsers($value)
     * @method _IH_AdditionalField_QB whereCompatibleOs($value)
     * @method _IH_AdditionalField_QB whereHighResolution($value)
     * @method _IH_AdditionalField_QB whereAuthorId($value)
     * @method _IH_AdditionalField_QB whereCreatedAt($value)
     * @method _IH_AdditionalField_QB whereUpdatedAt($value)
     * @method AdditionalField baseSole(array|string $columns = ['*'])
     * @method AdditionalField create(array $attributes = [])
     * @method _IH_AdditionalField_C|AdditionalField[] cursor()
     * @method AdditionalField|null|_IH_AdditionalField_C|AdditionalField[] find($id, array|string $columns = ['*'])
     * @method _IH_AdditionalField_C|AdditionalField[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method AdditionalField|_IH_AdditionalField_C|AdditionalField[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AdditionalField|_IH_AdditionalField_C|AdditionalField[] findOrFail($id, array|string $columns = ['*'])
     * @method AdditionalField|_IH_AdditionalField_C|AdditionalField[] findOrNew($id, array|string $columns = ['*'])
     * @method AdditionalField first(array|string $columns = ['*'])
     * @method AdditionalField firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method AdditionalField firstOrCreate(array $attributes = [], array $values = [])
     * @method AdditionalField firstOrFail(array|string $columns = ['*'])
     * @method AdditionalField firstOrNew(array $attributes = [], array $values = [])
     * @method AdditionalField firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method AdditionalField forceCreate(array $attributes)
     * @method _IH_AdditionalField_C|AdditionalField[] fromQuery(string $query, array $bindings = [])
     * @method _IH_AdditionalField_C|AdditionalField[] get(array|string $columns = ['*'])
     * @method AdditionalField getModel()
     * @method AdditionalField[] getModels(array|string $columns = ['*'])
     * @method _IH_AdditionalField_C|AdditionalField[] hydrate(array $items)
     * @method _IH_AdditionalField_C|AdditionalField[] lazy(int $chunkSize = 1000)
     * @method _IH_AdditionalField_C|AdditionalField[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_AdditionalField_C|AdditionalField[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method AdditionalField make(array $attributes = [])
     * @method AdditionalField newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|AdditionalField[]|_IH_AdditionalField_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AdditionalField restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|AdditionalField[]|_IH_AdditionalField_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method AdditionalField sole(array|string $columns = ['*'])
     * @method AdditionalField updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_AdditionalField_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalAuthor|null getOrPut($key, $value)
     * @method DigitalAuthor|$this shift(int $count = 1)
     * @method DigitalAuthor|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalAuthor|$this pop(int $count = 1)
     * @method DigitalAuthor|null pull($key, \Closure $default = null)
     * @method DigitalAuthor|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalAuthor|$this random(callable|int|null $number = null)
     * @method DigitalAuthor|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalAuthor|null get($key, \Closure $default = null)
     * @method DigitalAuthor|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalAuthor|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalAuthor|null find($key, $default = null)
     * @method DigitalAuthor[] all()
     */
    class _IH_DigitalAuthor_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalAuthor[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalAuthor_QB whereId($value)
     * @method _IH_DigitalAuthor_QB whereName($value)
     * @method _IH_DigitalAuthor_QB whereSlug($value)
     * @method _IH_DigitalAuthor_QB whereStatus($value)
     * @method _IH_DigitalAuthor_QB whereImageId($value)
     * @method _IH_DigitalAuthor_QB whereCreatedAt($value)
     * @method _IH_DigitalAuthor_QB whereUpdatedAt($value)
     * @method DigitalAuthor baseSole(array|string $columns = ['*'])
     * @method DigitalAuthor create(array $attributes = [])
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] cursor()
     * @method DigitalAuthor|null|_IH_DigitalAuthor_C|DigitalAuthor[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalAuthor|_IH_DigitalAuthor_C|DigitalAuthor[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalAuthor|_IH_DigitalAuthor_C|DigitalAuthor[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalAuthor|_IH_DigitalAuthor_C|DigitalAuthor[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalAuthor first(array|string $columns = ['*'])
     * @method DigitalAuthor firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalAuthor firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalAuthor firstOrFail(array|string $columns = ['*'])
     * @method DigitalAuthor firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalAuthor firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalAuthor forceCreate(array $attributes)
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] get(array|string $columns = ['*'])
     * @method DigitalAuthor getModel()
     * @method DigitalAuthor[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] hydrate(array $items)
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalAuthor_C|DigitalAuthor[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalAuthor make(array $attributes = [])
     * @method DigitalAuthor newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalAuthor[]|_IH_DigitalAuthor_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalAuthor restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalAuthor[]|_IH_DigitalAuthor_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalAuthor sole(array|string $columns = ['*'])
     * @method DigitalAuthor updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalAuthor_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalCategories|null getOrPut($key, $value)
     * @method DigitalCategories|$this shift(int $count = 1)
     * @method DigitalCategories|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalCategories|$this pop(int $count = 1)
     * @method DigitalCategories|null pull($key, \Closure $default = null)
     * @method DigitalCategories|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalCategories|$this random(callable|int|null $number = null)
     * @method DigitalCategories|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalCategories|null get($key, \Closure $default = null)
     * @method DigitalCategories|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalCategories|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalCategories|null find($key, $default = null)
     * @method DigitalCategories[] all()
     */
    class _IH_DigitalCategories_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalCategories[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalCategories_QB whereId($value)
     * @method _IH_DigitalCategories_QB whereName($value)
     * @method _IH_DigitalCategories_QB whereSlug($value)
     * @method _IH_DigitalCategories_QB whereDescription($value)
     * @method _IH_DigitalCategories_QB whereDigitalProductType($value)
     * @method _IH_DigitalCategories_QB whereImageId($value)
     * @method _IH_DigitalCategories_QB whereStatus($value)
     * @method _IH_DigitalCategories_QB whereCreatedAt($value)
     * @method _IH_DigitalCategories_QB whereUpdatedAt($value)
     * @method _IH_DigitalCategories_QB whereDeletedAt($value)
     * @method DigitalCategories baseSole(array|string $columns = ['*'])
     * @method DigitalCategories create(array $attributes = [])
     * @method _IH_DigitalCategories_C|DigitalCategories[] cursor()
     * @method DigitalCategories|null|_IH_DigitalCategories_C|DigitalCategories[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalCategories_C|DigitalCategories[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalCategories|_IH_DigitalCategories_C|DigitalCategories[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalCategories|_IH_DigitalCategories_C|DigitalCategories[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalCategories|_IH_DigitalCategories_C|DigitalCategories[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalCategories first(array|string $columns = ['*'])
     * @method DigitalCategories firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalCategories firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalCategories firstOrFail(array|string $columns = ['*'])
     * @method DigitalCategories firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalCategories firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalCategories forceCreate(array $attributes)
     * @method _IH_DigitalCategories_C|DigitalCategories[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalCategories_C|DigitalCategories[] get(array|string $columns = ['*'])
     * @method DigitalCategories getModel()
     * @method DigitalCategories[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalCategories_C|DigitalCategories[] hydrate(array $items)
     * @method _IH_DigitalCategories_C|DigitalCategories[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalCategories_C|DigitalCategories[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalCategories_C|DigitalCategories[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalCategories make(array $attributes = [])
     * @method DigitalCategories newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalCategories[]|_IH_DigitalCategories_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalCategories restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalCategories[]|_IH_DigitalCategories_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalCategories sole(array|string $columns = ['*'])
     * @method DigitalCategories updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalCategories_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalChildCategories|null getOrPut($key, $value)
     * @method DigitalChildCategories|$this shift(int $count = 1)
     * @method DigitalChildCategories|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalChildCategories|$this pop(int $count = 1)
     * @method DigitalChildCategories|null pull($key, \Closure $default = null)
     * @method DigitalChildCategories|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalChildCategories|$this random(callable|int|null $number = null)
     * @method DigitalChildCategories|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalChildCategories|null get($key, \Closure $default = null)
     * @method DigitalChildCategories|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalChildCategories|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalChildCategories|null find($key, $default = null)
     * @method DigitalChildCategories[] all()
     */
    class _IH_DigitalChildCategories_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalChildCategories[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalChildCategories_QB whereId($value)
     * @method _IH_DigitalChildCategories_QB whereCategoryId($value)
     * @method _IH_DigitalChildCategories_QB whereSubCategoryId($value)
     * @method _IH_DigitalChildCategories_QB whereName($value)
     * @method _IH_DigitalChildCategories_QB whereSlug($value)
     * @method _IH_DigitalChildCategories_QB whereDescription($value)
     * @method _IH_DigitalChildCategories_QB whereImageId($value)
     * @method _IH_DigitalChildCategories_QB whereStatus($value)
     * @method _IH_DigitalChildCategories_QB whereCreatedAt($value)
     * @method _IH_DigitalChildCategories_QB whereUpdatedAt($value)
     * @method _IH_DigitalChildCategories_QB whereDeletedAt($value)
     * @method DigitalChildCategories baseSole(array|string $columns = ['*'])
     * @method DigitalChildCategories create(array $attributes = [])
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] cursor()
     * @method DigitalChildCategories|null|_IH_DigitalChildCategories_C|DigitalChildCategories[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalChildCategories|_IH_DigitalChildCategories_C|DigitalChildCategories[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalChildCategories|_IH_DigitalChildCategories_C|DigitalChildCategories[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalChildCategories|_IH_DigitalChildCategories_C|DigitalChildCategories[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalChildCategories first(array|string $columns = ['*'])
     * @method DigitalChildCategories firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalChildCategories firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalChildCategories firstOrFail(array|string $columns = ['*'])
     * @method DigitalChildCategories firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalChildCategories firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalChildCategories forceCreate(array $attributes)
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] get(array|string $columns = ['*'])
     * @method DigitalChildCategories getModel()
     * @method DigitalChildCategories[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] hydrate(array $items)
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalChildCategories_C|DigitalChildCategories[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalChildCategories make(array $attributes = [])
     * @method DigitalChildCategories newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalChildCategories[]|_IH_DigitalChildCategories_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalChildCategories restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalChildCategories[]|_IH_DigitalChildCategories_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalChildCategories sole(array|string $columns = ['*'])
     * @method DigitalChildCategories updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalChildCategories_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalLanguage|null getOrPut($key, $value)
     * @method DigitalLanguage|$this shift(int $count = 1)
     * @method DigitalLanguage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalLanguage|$this pop(int $count = 1)
     * @method DigitalLanguage|null pull($key, \Closure $default = null)
     * @method DigitalLanguage|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalLanguage|$this random(callable|int|null $number = null)
     * @method DigitalLanguage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalLanguage|null get($key, \Closure $default = null)
     * @method DigitalLanguage|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalLanguage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalLanguage|null find($key, $default = null)
     * @method DigitalLanguage[] all()
     */
    class _IH_DigitalLanguage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalLanguage[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalLanguage_QB whereId($value)
     * @method _IH_DigitalLanguage_QB whereName($value)
     * @method _IH_DigitalLanguage_QB whereSlug($value)
     * @method _IH_DigitalLanguage_QB whereStatus($value)
     * @method _IH_DigitalLanguage_QB whereImageId($value)
     * @method _IH_DigitalLanguage_QB whereCreatedAt($value)
     * @method _IH_DigitalLanguage_QB whereUpdatedAt($value)
     * @method DigitalLanguage baseSole(array|string $columns = ['*'])
     * @method DigitalLanguage create(array $attributes = [])
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] cursor()
     * @method DigitalLanguage|null|_IH_DigitalLanguage_C|DigitalLanguage[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalLanguage|_IH_DigitalLanguage_C|DigitalLanguage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalLanguage|_IH_DigitalLanguage_C|DigitalLanguage[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalLanguage|_IH_DigitalLanguage_C|DigitalLanguage[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalLanguage first(array|string $columns = ['*'])
     * @method DigitalLanguage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalLanguage firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalLanguage firstOrFail(array|string $columns = ['*'])
     * @method DigitalLanguage firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalLanguage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalLanguage forceCreate(array $attributes)
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] get(array|string $columns = ['*'])
     * @method DigitalLanguage getModel()
     * @method DigitalLanguage[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] hydrate(array $items)
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalLanguage_C|DigitalLanguage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalLanguage make(array $attributes = [])
     * @method DigitalLanguage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalLanguage[]|_IH_DigitalLanguage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalLanguage restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalLanguage[]|_IH_DigitalLanguage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalLanguage sole(array|string $columns = ['*'])
     * @method DigitalLanguage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalLanguage_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductCategories|null getOrPut($key, $value)
     * @method DigitalProductCategories|$this shift(int $count = 1)
     * @method DigitalProductCategories|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductCategories|$this pop(int $count = 1)
     * @method DigitalProductCategories|null pull($key, \Closure $default = null)
     * @method DigitalProductCategories|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductCategories|$this random(callable|int|null $number = null)
     * @method DigitalProductCategories|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductCategories|null get($key, \Closure $default = null)
     * @method DigitalProductCategories|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductCategories|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductCategories|null find($key, $default = null)
     * @method DigitalProductCategories[] all()
     */
    class _IH_DigitalProductCategories_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductCategories[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductCategories_QB whereId($value)
     * @method _IH_DigitalProductCategories_QB whereProductId($value)
     * @method _IH_DigitalProductCategories_QB whereCategoryId($value)
     * @method _IH_DigitalProductCategories_QB whereCreatedAt($value)
     * @method _IH_DigitalProductCategories_QB whereUpdatedAt($value)
     * @method DigitalProductCategories baseSole(array|string $columns = ['*'])
     * @method DigitalProductCategories create(array $attributes = [])
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] cursor()
     * @method DigitalProductCategories|null|_IH_DigitalProductCategories_C|DigitalProductCategories[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductCategories|_IH_DigitalProductCategories_C|DigitalProductCategories[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductCategories|_IH_DigitalProductCategories_C|DigitalProductCategories[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductCategories|_IH_DigitalProductCategories_C|DigitalProductCategories[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductCategories first(array|string $columns = ['*'])
     * @method DigitalProductCategories firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductCategories firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductCategories firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductCategories firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductCategories firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductCategories forceCreate(array $attributes)
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] get(array|string $columns = ['*'])
     * @method DigitalProductCategories getModel()
     * @method DigitalProductCategories[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] hydrate(array $items)
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductCategories_C|DigitalProductCategories[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductCategories make(array $attributes = [])
     * @method DigitalProductCategories newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductCategories[]|_IH_DigitalProductCategories_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductCategories restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductCategories[]|_IH_DigitalProductCategories_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductCategories sole(array|string $columns = ['*'])
     * @method DigitalProductCategories updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductCategories_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductChildCategories|null getOrPut($key, $value)
     * @method DigitalProductChildCategories|$this shift(int $count = 1)
     * @method DigitalProductChildCategories|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductChildCategories|$this pop(int $count = 1)
     * @method DigitalProductChildCategories|null pull($key, \Closure $default = null)
     * @method DigitalProductChildCategories|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductChildCategories|$this random(callable|int|null $number = null)
     * @method DigitalProductChildCategories|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductChildCategories|null get($key, \Closure $default = null)
     * @method DigitalProductChildCategories|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductChildCategories|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductChildCategories|null find($key, $default = null)
     * @method DigitalProductChildCategories[] all()
     */
    class _IH_DigitalProductChildCategories_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductChildCategories[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductChildCategories_QB whereId($value)
     * @method _IH_DigitalProductChildCategories_QB whereProductId($value)
     * @method _IH_DigitalProductChildCategories_QB whereChildCategoryId($value)
     * @method _IH_DigitalProductChildCategories_QB whereCreatedAt($value)
     * @method _IH_DigitalProductChildCategories_QB whereUpdatedAt($value)
     * @method DigitalProductChildCategories baseSole(array|string $columns = ['*'])
     * @method DigitalProductChildCategories create(array $attributes = [])
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] cursor()
     * @method DigitalProductChildCategories|null|_IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductChildCategories|_IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductChildCategories|_IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductChildCategories|_IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductChildCategories first(array|string $columns = ['*'])
     * @method DigitalProductChildCategories firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductChildCategories firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductChildCategories firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductChildCategories firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductChildCategories firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductChildCategories forceCreate(array $attributes)
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] get(array|string $columns = ['*'])
     * @method DigitalProductChildCategories getModel()
     * @method DigitalProductChildCategories[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] hydrate(array $items)
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductChildCategories_C|DigitalProductChildCategories[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductChildCategories make(array $attributes = [])
     * @method DigitalProductChildCategories newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductChildCategories[]|_IH_DigitalProductChildCategories_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductChildCategories restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductChildCategories[]|_IH_DigitalProductChildCategories_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductChildCategories sole(array|string $columns = ['*'])
     * @method DigitalProductChildCategories updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductChildCategories_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductDownload|null getOrPut($key, $value)
     * @method DigitalProductDownload|$this shift(int $count = 1)
     * @method DigitalProductDownload|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductDownload|$this pop(int $count = 1)
     * @method DigitalProductDownload|null pull($key, \Closure $default = null)
     * @method DigitalProductDownload|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductDownload|$this random(callable|int|null $number = null)
     * @method DigitalProductDownload|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductDownload|null get($key, \Closure $default = null)
     * @method DigitalProductDownload|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductDownload|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductDownload|null find($key, $default = null)
     * @method DigitalProductDownload[] all()
     */
    class _IH_DigitalProductDownload_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductDownload[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductDownload_QB whereId($value)
     * @method _IH_DigitalProductDownload_QB whereProductId($value)
     * @method _IH_DigitalProductDownload_QB whereDownloadCount($value)
     * @method _IH_DigitalProductDownload_QB whereCreatedAt($value)
     * @method _IH_DigitalProductDownload_QB whereUpdatedAt($value)
     * @method _IH_DigitalProductDownload_QB whereUserId($value)
     * @method DigitalProductDownload baseSole(array|string $columns = ['*'])
     * @method DigitalProductDownload create(array $attributes = [])
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] cursor()
     * @method DigitalProductDownload|null|_IH_DigitalProductDownload_C|DigitalProductDownload[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductDownload|_IH_DigitalProductDownload_C|DigitalProductDownload[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductDownload|_IH_DigitalProductDownload_C|DigitalProductDownload[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductDownload|_IH_DigitalProductDownload_C|DigitalProductDownload[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductDownload first(array|string $columns = ['*'])
     * @method DigitalProductDownload firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductDownload firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductDownload firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductDownload firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductDownload firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductDownload forceCreate(array $attributes)
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] get(array|string $columns = ['*'])
     * @method DigitalProductDownload getModel()
     * @method DigitalProductDownload[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] hydrate(array $items)
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductDownload_C|DigitalProductDownload[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductDownload make(array $attributes = [])
     * @method DigitalProductDownload newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductDownload[]|_IH_DigitalProductDownload_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductDownload restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductDownload[]|_IH_DigitalProductDownload_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductDownload sole(array|string $columns = ['*'])
     * @method DigitalProductDownload updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductDownload_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductGallery|null getOrPut($key, $value)
     * @method DigitalProductGallery|$this shift(int $count = 1)
     * @method DigitalProductGallery|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductGallery|$this pop(int $count = 1)
     * @method DigitalProductGallery|null pull($key, \Closure $default = null)
     * @method DigitalProductGallery|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductGallery|$this random(callable|int|null $number = null)
     * @method DigitalProductGallery|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductGallery|null get($key, \Closure $default = null)
     * @method DigitalProductGallery|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductGallery|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductGallery|null find($key, $default = null)
     * @method DigitalProductGallery[] all()
     */
    class _IH_DigitalProductGallery_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductGallery[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductGallery_QB whereId($value)
     * @method _IH_DigitalProductGallery_QB whereProductId($value)
     * @method _IH_DigitalProductGallery_QB whereImageId($value)
     * @method _IH_DigitalProductGallery_QB whereCreatedAt($value)
     * @method _IH_DigitalProductGallery_QB whereUpdatedAt($value)
     * @method DigitalProductGallery baseSole(array|string $columns = ['*'])
     * @method DigitalProductGallery create(array $attributes = [])
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] cursor()
     * @method DigitalProductGallery|null|_IH_DigitalProductGallery_C|DigitalProductGallery[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductGallery|_IH_DigitalProductGallery_C|DigitalProductGallery[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductGallery|_IH_DigitalProductGallery_C|DigitalProductGallery[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductGallery|_IH_DigitalProductGallery_C|DigitalProductGallery[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductGallery first(array|string $columns = ['*'])
     * @method DigitalProductGallery firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductGallery firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductGallery firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductGallery firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductGallery firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductGallery forceCreate(array $attributes)
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] get(array|string $columns = ['*'])
     * @method DigitalProductGallery getModel()
     * @method DigitalProductGallery[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] hydrate(array $items)
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductGallery_C|DigitalProductGallery[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductGallery make(array $attributes = [])
     * @method DigitalProductGallery newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductGallery[]|_IH_DigitalProductGallery_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductGallery restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductGallery[]|_IH_DigitalProductGallery_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductGallery sole(array|string $columns = ['*'])
     * @method DigitalProductGallery updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductGallery_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductLanguage|null getOrPut($key, $value)
     * @method DigitalProductLanguage|$this shift(int $count = 1)
     * @method DigitalProductLanguage|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductLanguage|$this pop(int $count = 1)
     * @method DigitalProductLanguage|null pull($key, \Closure $default = null)
     * @method DigitalProductLanguage|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductLanguage|$this random(callable|int|null $number = null)
     * @method DigitalProductLanguage|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductLanguage|null get($key, \Closure $default = null)
     * @method DigitalProductLanguage|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductLanguage|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductLanguage|null find($key, $default = null)
     * @method DigitalProductLanguage[] all()
     */
    class _IH_DigitalProductLanguage_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductLanguage[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductLanguage_QB whereId($value)
     * @method _IH_DigitalProductLanguage_QB whereProductId($value)
     * @method _IH_DigitalProductLanguage_QB whereLanguageId($value)
     * @method _IH_DigitalProductLanguage_QB whereCreatedAt($value)
     * @method _IH_DigitalProductLanguage_QB whereUpdatedAt($value)
     * @method DigitalProductLanguage baseSole(array|string $columns = ['*'])
     * @method DigitalProductLanguage create(array $attributes = [])
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] cursor()
     * @method DigitalProductLanguage|null|_IH_DigitalProductLanguage_C|DigitalProductLanguage[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductLanguage|_IH_DigitalProductLanguage_C|DigitalProductLanguage[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductLanguage|_IH_DigitalProductLanguage_C|DigitalProductLanguage[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductLanguage|_IH_DigitalProductLanguage_C|DigitalProductLanguage[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductLanguage first(array|string $columns = ['*'])
     * @method DigitalProductLanguage firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductLanguage firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductLanguage firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductLanguage firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductLanguage firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductLanguage forceCreate(array $attributes)
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] get(array|string $columns = ['*'])
     * @method DigitalProductLanguage getModel()
     * @method DigitalProductLanguage[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] hydrate(array $items)
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductLanguage_C|DigitalProductLanguage[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductLanguage make(array $attributes = [])
     * @method DigitalProductLanguage newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductLanguage[]|_IH_DigitalProductLanguage_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductLanguage restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductLanguage[]|_IH_DigitalProductLanguage_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductLanguage sole(array|string $columns = ['*'])
     * @method DigitalProductLanguage updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductLanguage_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductRefundPolicies|null getOrPut($key, $value)
     * @method DigitalProductRefundPolicies|$this shift(int $count = 1)
     * @method DigitalProductRefundPolicies|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductRefundPolicies|$this pop(int $count = 1)
     * @method DigitalProductRefundPolicies|null pull($key, \Closure $default = null)
     * @method DigitalProductRefundPolicies|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductRefundPolicies|$this random(callable|int|null $number = null)
     * @method DigitalProductRefundPolicies|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductRefundPolicies|null get($key, \Closure $default = null)
     * @method DigitalProductRefundPolicies|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductRefundPolicies|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductRefundPolicies|null find($key, $default = null)
     * @method DigitalProductRefundPolicies[] all()
     */
    class _IH_DigitalProductRefundPolicies_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductRefundPolicies[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductRefundPolicies_QB whereId($value)
     * @method _IH_DigitalProductRefundPolicies_QB whereProductId($value)
     * @method _IH_DigitalProductRefundPolicies_QB whereRefundDescription($value)
     * @method _IH_DigitalProductRefundPolicies_QB whereCreatedAt($value)
     * @method _IH_DigitalProductRefundPolicies_QB whereUpdatedAt($value)
     * @method DigitalProductRefundPolicies baseSole(array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies create(array $attributes = [])
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] cursor()
     * @method DigitalProductRefundPolicies|null|_IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies|_IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductRefundPolicies|_IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies|_IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies first(array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductRefundPolicies firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductRefundPolicies firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductRefundPolicies firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductRefundPolicies forceCreate(array $attributes)
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] get(array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies getModel()
     * @method DigitalProductRefundPolicies[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] hydrate(array $items)
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductRefundPolicies_C|DigitalProductRefundPolicies[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductRefundPolicies make(array $attributes = [])
     * @method DigitalProductRefundPolicies newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductRefundPolicies[]|_IH_DigitalProductRefundPolicies_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductRefundPolicies restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductRefundPolicies[]|_IH_DigitalProductRefundPolicies_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductRefundPolicies sole(array|string $columns = ['*'])
     * @method DigitalProductRefundPolicies updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductRefundPolicies_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductReviews|null getOrPut($key, $value)
     * @method DigitalProductReviews|$this shift(int $count = 1)
     * @method DigitalProductReviews|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductReviews|$this pop(int $count = 1)
     * @method DigitalProductReviews|null pull($key, \Closure $default = null)
     * @method DigitalProductReviews|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductReviews|$this random(callable|int|null $number = null)
     * @method DigitalProductReviews|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductReviews|null get($key, \Closure $default = null)
     * @method DigitalProductReviews|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductReviews|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductReviews|null find($key, $default = null)
     * @method DigitalProductReviews[] all()
     */
    class _IH_DigitalProductReviews_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductReviews[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductReviews_QB whereId($value)
     * @method _IH_DigitalProductReviews_QB whereProductId($value)
     * @method _IH_DigitalProductReviews_QB whereUserId($value)
     * @method _IH_DigitalProductReviews_QB whereRating($value)
     * @method _IH_DigitalProductReviews_QB whereReviewText($value)
     * @method _IH_DigitalProductReviews_QB whereCreatedAt($value)
     * @method _IH_DigitalProductReviews_QB whereUpdatedAt($value)
     * @method DigitalProductReviews baseSole(array|string $columns = ['*'])
     * @method DigitalProductReviews create(array $attributes = [])
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] cursor()
     * @method DigitalProductReviews|null|_IH_DigitalProductReviews_C|DigitalProductReviews[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductReviews|_IH_DigitalProductReviews_C|DigitalProductReviews[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductReviews|_IH_DigitalProductReviews_C|DigitalProductReviews[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductReviews|_IH_DigitalProductReviews_C|DigitalProductReviews[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductReviews first(array|string $columns = ['*'])
     * @method DigitalProductReviews firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductReviews firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductReviews firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductReviews firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductReviews firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductReviews forceCreate(array $attributes)
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] get(array|string $columns = ['*'])
     * @method DigitalProductReviews getModel()
     * @method DigitalProductReviews[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] hydrate(array $items)
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductReviews_C|DigitalProductReviews[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductReviews make(array $attributes = [])
     * @method DigitalProductReviews newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductReviews[]|_IH_DigitalProductReviews_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductReviews restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductReviews[]|_IH_DigitalProductReviews_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductReviews sole(array|string $columns = ['*'])
     * @method DigitalProductReviews updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductReviews_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductSubCategories|null getOrPut($key, $value)
     * @method DigitalProductSubCategories|$this shift(int $count = 1)
     * @method DigitalProductSubCategories|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductSubCategories|$this pop(int $count = 1)
     * @method DigitalProductSubCategories|null pull($key, \Closure $default = null)
     * @method DigitalProductSubCategories|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductSubCategories|$this random(callable|int|null $number = null)
     * @method DigitalProductSubCategories|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductSubCategories|null get($key, \Closure $default = null)
     * @method DigitalProductSubCategories|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductSubCategories|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductSubCategories|null find($key, $default = null)
     * @method DigitalProductSubCategories[] all()
     */
    class _IH_DigitalProductSubCategories_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductSubCategories[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductSubCategories_QB whereId($value)
     * @method _IH_DigitalProductSubCategories_QB whereProductId($value)
     * @method _IH_DigitalProductSubCategories_QB whereSubCategoryId($value)
     * @method _IH_DigitalProductSubCategories_QB whereCreatedAt($value)
     * @method _IH_DigitalProductSubCategories_QB whereUpdatedAt($value)
     * @method DigitalProductSubCategories baseSole(array|string $columns = ['*'])
     * @method DigitalProductSubCategories create(array $attributes = [])
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] cursor()
     * @method DigitalProductSubCategories|null|_IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductSubCategories|_IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductSubCategories|_IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductSubCategories|_IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductSubCategories first(array|string $columns = ['*'])
     * @method DigitalProductSubCategories firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductSubCategories firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductSubCategories firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductSubCategories firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductSubCategories firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductSubCategories forceCreate(array $attributes)
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] get(array|string $columns = ['*'])
     * @method DigitalProductSubCategories getModel()
     * @method DigitalProductSubCategories[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] hydrate(array $items)
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductSubCategories_C|DigitalProductSubCategories[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductSubCategories make(array $attributes = [])
     * @method DigitalProductSubCategories newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductSubCategories[]|_IH_DigitalProductSubCategories_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductSubCategories restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductSubCategories[]|_IH_DigitalProductSubCategories_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductSubCategories sole(array|string $columns = ['*'])
     * @method DigitalProductSubCategories updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductSubCategories_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductTags|null getOrPut($key, $value)
     * @method DigitalProductTags|$this shift(int $count = 1)
     * @method DigitalProductTags|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductTags|$this pop(int $count = 1)
     * @method DigitalProductTags|null pull($key, \Closure $default = null)
     * @method DigitalProductTags|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductTags|$this random(callable|int|null $number = null)
     * @method DigitalProductTags|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductTags|null get($key, \Closure $default = null)
     * @method DigitalProductTags|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductTags|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductTags|null find($key, $default = null)
     * @method DigitalProductTags[] all()
     */
    class _IH_DigitalProductTags_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductTags[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductTags_QB whereId($value)
     * @method _IH_DigitalProductTags_QB whereTagName($value)
     * @method _IH_DigitalProductTags_QB whereProductId($value)
     * @method _IH_DigitalProductTags_QB whereType($value)
     * @method DigitalProductTags baseSole(array|string $columns = ['*'])
     * @method DigitalProductTags create(array $attributes = [])
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] cursor()
     * @method DigitalProductTags|null|_IH_DigitalProductTags_C|DigitalProductTags[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductTags|_IH_DigitalProductTags_C|DigitalProductTags[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductTags|_IH_DigitalProductTags_C|DigitalProductTags[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductTags|_IH_DigitalProductTags_C|DigitalProductTags[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductTags first(array|string $columns = ['*'])
     * @method DigitalProductTags firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductTags firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductTags firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductTags firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductTags firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductTags forceCreate(array $attributes)
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] get(array|string $columns = ['*'])
     * @method DigitalProductTags getModel()
     * @method DigitalProductTags[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] hydrate(array $items)
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductTags_C|DigitalProductTags[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductTags make(array $attributes = [])
     * @method DigitalProductTags newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductTags[]|_IH_DigitalProductTags_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductTags restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductTags[]|_IH_DigitalProductTags_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductTags sole(array|string $columns = ['*'])
     * @method DigitalProductTags updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductTags_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProductType|null getOrPut($key, $value)
     * @method DigitalProductType|$this shift(int $count = 1)
     * @method DigitalProductType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductType|$this pop(int $count = 1)
     * @method DigitalProductType|null pull($key, \Closure $default = null)
     * @method DigitalProductType|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProductType|$this random(callable|int|null $number = null)
     * @method DigitalProductType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProductType|null get($key, \Closure $default = null)
     * @method DigitalProductType|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProductType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProductType|null find($key, $default = null)
     * @method DigitalProductType[] all()
     */
    class _IH_DigitalProductType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProductType[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProductType_QB whereId($value)
     * @method _IH_DigitalProductType_QB whereName($value)
     * @method _IH_DigitalProductType_QB whereSlug($value)
     * @method _IH_DigitalProductType_QB whereProductType($value)
     * @method _IH_DigitalProductType_QB whereImageId($value)
     * @method _IH_DigitalProductType_QB whereStatus($value)
     * @method _IH_DigitalProductType_QB whereExtensions($value)
     * @method _IH_DigitalProductType_QB whereCreatedAt($value)
     * @method _IH_DigitalProductType_QB whereUpdatedAt($value)
     * @method _IH_DigitalProductType_QB whereDeletedAt($value)
     * @method DigitalProductType baseSole(array|string $columns = ['*'])
     * @method DigitalProductType create(array $attributes = [])
     * @method _IH_DigitalProductType_C|DigitalProductType[] cursor()
     * @method DigitalProductType|null|_IH_DigitalProductType_C|DigitalProductType[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProductType_C|DigitalProductType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProductType|_IH_DigitalProductType_C|DigitalProductType[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductType|_IH_DigitalProductType_C|DigitalProductType[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProductType|_IH_DigitalProductType_C|DigitalProductType[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProductType first(array|string $columns = ['*'])
     * @method DigitalProductType firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProductType firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProductType firstOrFail(array|string $columns = ['*'])
     * @method DigitalProductType firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProductType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProductType forceCreate(array $attributes)
     * @method _IH_DigitalProductType_C|DigitalProductType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProductType_C|DigitalProductType[] get(array|string $columns = ['*'])
     * @method DigitalProductType getModel()
     * @method DigitalProductType[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProductType_C|DigitalProductType[] hydrate(array $items)
     * @method _IH_DigitalProductType_C|DigitalProductType[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProductType_C|DigitalProductType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProductType_C|DigitalProductType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProductType make(array $attributes = [])
     * @method DigitalProductType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProductType[]|_IH_DigitalProductType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProductType[]|_IH_DigitalProductType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProductType sole(array|string $columns = ['*'])
     * @method DigitalProductType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProductType_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalProduct|null getOrPut($key, $value)
     * @method DigitalProduct|$this shift(int $count = 1)
     * @method DigitalProduct|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProduct|$this pop(int $count = 1)
     * @method DigitalProduct|null pull($key, \Closure $default = null)
     * @method DigitalProduct|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalProduct|$this random(callable|int|null $number = null)
     * @method DigitalProduct|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalProduct|null get($key, \Closure $default = null)
     * @method DigitalProduct|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalProduct|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalProduct|null find($key, $default = null)
     * @method DigitalProduct[] all()
     */
    class _IH_DigitalProduct_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalProduct[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalProduct_QB whereId($value)
     * @method _IH_DigitalProduct_QB whereName($value)
     * @method _IH_DigitalProduct_QB whereSlug($value)
     * @method _IH_DigitalProduct_QB whereSummary($value)
     * @method _IH_DigitalProduct_QB whereDescription($value)
     * @method _IH_DigitalProduct_QB whereImageId($value)
     * @method _IH_DigitalProduct_QB whereIncludedFiles($value)
     * @method _IH_DigitalProduct_QB whereVersion($value)
     * @method _IH_DigitalProduct_QB whereReleaseDate($value)
     * @method _IH_DigitalProduct_QB whereUpdateDate($value)
     * @method _IH_DigitalProduct_QB wherePreviewLink($value)
     * @method _IH_DigitalProduct_QB whereQuantity($value)
     * @method _IH_DigitalProduct_QB whereAccessibility($value)
     * @method _IH_DigitalProduct_QB whereIsLicensable($value)
     * @method _IH_DigitalProduct_QB whereTax($value)
     * @method _IH_DigitalProduct_QB whereFile($value)
     * @method _IH_DigitalProduct_QB whereRegularPrice($value)
     * @method _IH_DigitalProduct_QB whereSalePrice($value)
     * @method _IH_DigitalProduct_QB whereFreeDate($value)
     * @method _IH_DigitalProduct_QB wherePromotionalDate($value)
     * @method _IH_DigitalProduct_QB wherePromotionalPrice($value)
     * @method _IH_DigitalProduct_QB whereCreatedAt($value)
     * @method _IH_DigitalProduct_QB whereUpdatedAt($value)
     * @method _IH_DigitalProduct_QB whereStatusId($value)
     * @method _IH_DigitalProduct_QB whereDeletedAt($value)
     * @method _IH_DigitalProduct_QB whereProductType($value)
     * @method DigitalProduct baseSole(array|string $columns = ['*'])
     * @method DigitalProduct create(array $attributes = [])
     * @method _IH_DigitalProduct_C|DigitalProduct[] cursor()
     * @method DigitalProduct|null|_IH_DigitalProduct_C|DigitalProduct[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalProduct_C|DigitalProduct[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalProduct|_IH_DigitalProduct_C|DigitalProduct[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProduct|_IH_DigitalProduct_C|DigitalProduct[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalProduct|_IH_DigitalProduct_C|DigitalProduct[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalProduct first(array|string $columns = ['*'])
     * @method DigitalProduct firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalProduct firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalProduct firstOrFail(array|string $columns = ['*'])
     * @method DigitalProduct firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalProduct firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalProduct forceCreate(array $attributes)
     * @method _IH_DigitalProduct_C|DigitalProduct[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalProduct_C|DigitalProduct[] get(array|string $columns = ['*'])
     * @method DigitalProduct getModel()
     * @method DigitalProduct[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalProduct_C|DigitalProduct[] hydrate(array $items)
     * @method _IH_DigitalProduct_C|DigitalProduct[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalProduct_C|DigitalProduct[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalProduct_C|DigitalProduct[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalProduct make(array $attributes = [])
     * @method DigitalProduct newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalProduct[]|_IH_DigitalProduct_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProduct restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalProduct[]|_IH_DigitalProduct_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalProduct sole(array|string $columns = ['*'])
     * @method DigitalProduct updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalProduct_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalSubCategories|null getOrPut($key, $value)
     * @method DigitalSubCategories|$this shift(int $count = 1)
     * @method DigitalSubCategories|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalSubCategories|$this pop(int $count = 1)
     * @method DigitalSubCategories|null pull($key, \Closure $default = null)
     * @method DigitalSubCategories|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalSubCategories|$this random(callable|int|null $number = null)
     * @method DigitalSubCategories|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalSubCategories|null get($key, \Closure $default = null)
     * @method DigitalSubCategories|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalSubCategories|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalSubCategories|null find($key, $default = null)
     * @method DigitalSubCategories[] all()
     */
    class _IH_DigitalSubCategories_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalSubCategories[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalSubCategories_QB whereId($value)
     * @method _IH_DigitalSubCategories_QB whereCategoryId($value)
     * @method _IH_DigitalSubCategories_QB whereName($value)
     * @method _IH_DigitalSubCategories_QB whereSlug($value)
     * @method _IH_DigitalSubCategories_QB whereDescription($value)
     * @method _IH_DigitalSubCategories_QB whereImageId($value)
     * @method _IH_DigitalSubCategories_QB whereStatus($value)
     * @method _IH_DigitalSubCategories_QB whereCreatedAt($value)
     * @method _IH_DigitalSubCategories_QB whereUpdatedAt($value)
     * @method _IH_DigitalSubCategories_QB whereDeletedAt($value)
     * @method DigitalSubCategories baseSole(array|string $columns = ['*'])
     * @method DigitalSubCategories create(array $attributes = [])
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] cursor()
     * @method DigitalSubCategories|null|_IH_DigitalSubCategories_C|DigitalSubCategories[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalSubCategories|_IH_DigitalSubCategories_C|DigitalSubCategories[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalSubCategories|_IH_DigitalSubCategories_C|DigitalSubCategories[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalSubCategories|_IH_DigitalSubCategories_C|DigitalSubCategories[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalSubCategories first(array|string $columns = ['*'])
     * @method DigitalSubCategories firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalSubCategories firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalSubCategories firstOrFail(array|string $columns = ['*'])
     * @method DigitalSubCategories firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalSubCategories firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalSubCategories forceCreate(array $attributes)
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] get(array|string $columns = ['*'])
     * @method DigitalSubCategories getModel()
     * @method DigitalSubCategories[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] hydrate(array $items)
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalSubCategories_C|DigitalSubCategories[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalSubCategories make(array $attributes = [])
     * @method DigitalSubCategories newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalSubCategories[]|_IH_DigitalSubCategories_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalSubCategories restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalSubCategories[]|_IH_DigitalSubCategories_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalSubCategories sole(array|string $columns = ['*'])
     * @method DigitalSubCategories updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalSubCategories_QB extends _BaseBuilder {}
    
    /**
     * @method DigitalTax|null getOrPut($key, $value)
     * @method DigitalTax|$this shift(int $count = 1)
     * @method DigitalTax|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalTax|$this pop(int $count = 1)
     * @method DigitalTax|null pull($key, \Closure $default = null)
     * @method DigitalTax|null last(callable $callback = null, \Closure $default = null)
     * @method DigitalTax|$this random(callable|int|null $number = null)
     * @method DigitalTax|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method DigitalTax|null get($key, \Closure $default = null)
     * @method DigitalTax|null first(callable $callback = null, \Closure $default = null)
     * @method DigitalTax|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method DigitalTax|null find($key, $default = null)
     * @method DigitalTax[] all()
     */
    class _IH_DigitalTax_C extends _BaseCollection {
        /**
         * @param int $size
         * @return DigitalTax[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_DigitalTax_QB whereId($value)
     * @method _IH_DigitalTax_QB whereName($value)
     * @method _IH_DigitalTax_QB whereTaxPercentage($value)
     * @method _IH_DigitalTax_QB whereStatus($value)
     * @method _IH_DigitalTax_QB whereCreatedAt($value)
     * @method _IH_DigitalTax_QB whereUpdatedAt($value)
     * @method DigitalTax baseSole(array|string $columns = ['*'])
     * @method DigitalTax create(array $attributes = [])
     * @method _IH_DigitalTax_C|DigitalTax[] cursor()
     * @method DigitalTax|null|_IH_DigitalTax_C|DigitalTax[] find($id, array|string $columns = ['*'])
     * @method _IH_DigitalTax_C|DigitalTax[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method DigitalTax|_IH_DigitalTax_C|DigitalTax[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalTax|_IH_DigitalTax_C|DigitalTax[] findOrFail($id, array|string $columns = ['*'])
     * @method DigitalTax|_IH_DigitalTax_C|DigitalTax[] findOrNew($id, array|string $columns = ['*'])
     * @method DigitalTax first(array|string $columns = ['*'])
     * @method DigitalTax firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method DigitalTax firstOrCreate(array $attributes = [], array $values = [])
     * @method DigitalTax firstOrFail(array|string $columns = ['*'])
     * @method DigitalTax firstOrNew(array $attributes = [], array $values = [])
     * @method DigitalTax firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method DigitalTax forceCreate(array $attributes)
     * @method _IH_DigitalTax_C|DigitalTax[] fromQuery(string $query, array $bindings = [])
     * @method _IH_DigitalTax_C|DigitalTax[] get(array|string $columns = ['*'])
     * @method DigitalTax getModel()
     * @method DigitalTax[] getModels(array|string $columns = ['*'])
     * @method _IH_DigitalTax_C|DigitalTax[] hydrate(array $items)
     * @method _IH_DigitalTax_C|DigitalTax[] lazy(int $chunkSize = 1000)
     * @method _IH_DigitalTax_C|DigitalTax[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_DigitalTax_C|DigitalTax[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method DigitalTax make(array $attributes = [])
     * @method DigitalTax newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|DigitalTax[]|_IH_DigitalTax_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalTax restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|DigitalTax[]|_IH_DigitalTax_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method DigitalTax sole(array|string $columns = ['*'])
     * @method DigitalTax updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_DigitalTax_QB extends _BaseBuilder {}
}