<?php //93d53e6c1c0daba72e6028320dfc3c2e
/** @noinspection all */

namespace LaravelIdea\Helper\Modules\TaxModule\Entities {

    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Database\Query\Expression;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Modules\TaxModule\Entities\CountryTax;
    use Modules\TaxModule\Entities\StateTax;
    use Modules\TaxModule\Entities\TaxClass;
    use Modules\TaxModule\Entities\TaxClassOption;
    
    /**
     * @method CountryTax|null getOrPut($key, $value)
     * @method CountryTax|$this shift(int $count = 1)
     * @method CountryTax|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method CountryTax|$this pop(int $count = 1)
     * @method CountryTax|null pull($key, \Closure $default = null)
     * @method CountryTax|null last(callable $callback = null, \Closure $default = null)
     * @method CountryTax|$this random(callable|int|null $number = null)
     * @method CountryTax|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method CountryTax|null get($key, \Closure $default = null)
     * @method CountryTax|null first(callable $callback = null, \Closure $default = null)
     * @method CountryTax|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method CountryTax|null find($key, $default = null)
     * @method CountryTax[] all()
     */
    class _IH_CountryTax_C extends _BaseCollection {
        /**
         * @param int $size
         * @return CountryTax[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_CountryTax_QB whereId($value)
     * @method _IH_CountryTax_QB whereCountryId($value)
     * @method _IH_CountryTax_QB whereTaxPercentage($value)
     * @method _IH_CountryTax_QB whereCreatedAt($value)
     * @method _IH_CountryTax_QB whereUpdatedAt($value)
     * @method CountryTax baseSole(array|string $columns = ['*'])
     * @method CountryTax create(array $attributes = [])
     * @method _IH_CountryTax_C|CountryTax[] cursor()
     * @method CountryTax|null|_IH_CountryTax_C|CountryTax[] find($id, array|string $columns = ['*'])
     * @method _IH_CountryTax_C|CountryTax[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method CountryTax|_IH_CountryTax_C|CountryTax[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CountryTax|_IH_CountryTax_C|CountryTax[] findOrFail($id, array|string $columns = ['*'])
     * @method CountryTax|_IH_CountryTax_C|CountryTax[] findOrNew($id, array|string $columns = ['*'])
     * @method CountryTax first(array|string $columns = ['*'])
     * @method CountryTax firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method CountryTax firstOrCreate(array $attributes = [], array $values = [])
     * @method CountryTax firstOrFail(array|string $columns = ['*'])
     * @method CountryTax firstOrNew(array $attributes = [], array $values = [])
     * @method CountryTax firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method CountryTax forceCreate(array $attributes)
     * @method _IH_CountryTax_C|CountryTax[] fromQuery(string $query, array $bindings = [])
     * @method _IH_CountryTax_C|CountryTax[] get(array|string $columns = ['*'])
     * @method CountryTax getModel()
     * @method CountryTax[] getModels(array|string $columns = ['*'])
     * @method _IH_CountryTax_C|CountryTax[] hydrate(array $items)
     * @method _IH_CountryTax_C|CountryTax[] lazy(int $chunkSize = 1000)
     * @method _IH_CountryTax_C|CountryTax[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_CountryTax_C|CountryTax[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method CountryTax make(array $attributes = [])
     * @method CountryTax newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|CountryTax[]|_IH_CountryTax_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CountryTax restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|CountryTax[]|_IH_CountryTax_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method CountryTax sole(array|string $columns = ['*'])
     * @method CountryTax updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_CountryTax_QB extends _BaseBuilder {}
    
    /**
     * @method StateTax|null getOrPut($key, $value)
     * @method StateTax|$this shift(int $count = 1)
     * @method StateTax|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method StateTax|$this pop(int $count = 1)
     * @method StateTax|null pull($key, \Closure $default = null)
     * @method StateTax|null last(callable $callback = null, \Closure $default = null)
     * @method StateTax|$this random(callable|int|null $number = null)
     * @method StateTax|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method StateTax|null get($key, \Closure $default = null)
     * @method StateTax|null first(callable $callback = null, \Closure $default = null)
     * @method StateTax|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method StateTax|null find($key, $default = null)
     * @method StateTax[] all()
     */
    class _IH_StateTax_C extends _BaseCollection {
        /**
         * @param int $size
         * @return StateTax[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_StateTax_QB whereId($value)
     * @method _IH_StateTax_QB whereStateId($value)
     * @method _IH_StateTax_QB whereCountryId($value)
     * @method _IH_StateTax_QB whereTaxPercentage($value)
     * @method _IH_StateTax_QB whereCreatedAt($value)
     * @method _IH_StateTax_QB whereUpdatedAt($value)
     * @method StateTax baseSole(array|string $columns = ['*'])
     * @method StateTax create(array $attributes = [])
     * @method _IH_StateTax_C|StateTax[] cursor()
     * @method StateTax|null|_IH_StateTax_C|StateTax[] find($id, array|string $columns = ['*'])
     * @method _IH_StateTax_C|StateTax[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method StateTax|_IH_StateTax_C|StateTax[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StateTax|_IH_StateTax_C|StateTax[] findOrFail($id, array|string $columns = ['*'])
     * @method StateTax|_IH_StateTax_C|StateTax[] findOrNew($id, array|string $columns = ['*'])
     * @method StateTax first(array|string $columns = ['*'])
     * @method StateTax firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method StateTax firstOrCreate(array $attributes = [], array $values = [])
     * @method StateTax firstOrFail(array|string $columns = ['*'])
     * @method StateTax firstOrNew(array $attributes = [], array $values = [])
     * @method StateTax firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method StateTax forceCreate(array $attributes)
     * @method _IH_StateTax_C|StateTax[] fromQuery(string $query, array $bindings = [])
     * @method _IH_StateTax_C|StateTax[] get(array|string $columns = ['*'])
     * @method StateTax getModel()
     * @method StateTax[] getModels(array|string $columns = ['*'])
     * @method _IH_StateTax_C|StateTax[] hydrate(array $items)
     * @method _IH_StateTax_C|StateTax[] lazy(int $chunkSize = 1000)
     * @method _IH_StateTax_C|StateTax[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_StateTax_C|StateTax[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method StateTax make(array $attributes = [])
     * @method StateTax newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|StateTax[]|_IH_StateTax_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StateTax restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|StateTax[]|_IH_StateTax_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method StateTax sole(array|string $columns = ['*'])
     * @method StateTax updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_StateTax_QB extends _BaseBuilder {}
    
    /**
     * @method TaxClassOption|null getOrPut($key, $value)
     * @method TaxClassOption|$this shift(int $count = 1)
     * @method TaxClassOption|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TaxClassOption|$this pop(int $count = 1)
     * @method TaxClassOption|null pull($key, \Closure $default = null)
     * @method TaxClassOption|null last(callable $callback = null, \Closure $default = null)
     * @method TaxClassOption|$this random(callable|int|null $number = null)
     * @method TaxClassOption|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TaxClassOption|null get($key, \Closure $default = null)
     * @method TaxClassOption|null first(callable $callback = null, \Closure $default = null)
     * @method TaxClassOption|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TaxClassOption|null find($key, $default = null)
     * @method TaxClassOption[] all()
     */
    class _IH_TaxClassOption_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TaxClassOption[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TaxClassOption_QB whereId($value)
     * @method _IH_TaxClassOption_QB whereClassId($value)
     * @method _IH_TaxClassOption_QB whereTaxName($value)
     * @method _IH_TaxClassOption_QB whereCountryId($value)
     * @method _IH_TaxClassOption_QB whereStateId($value)
     * @method _IH_TaxClassOption_QB whereCityId($value)
     * @method _IH_TaxClassOption_QB wherePostalCode($value)
     * @method _IH_TaxClassOption_QB wherePriority($value)
     * @method _IH_TaxClassOption_QB whereIsCompound($value)
     * @method _IH_TaxClassOption_QB whereIsShipping($value)
     * @method _IH_TaxClassOption_QB whereRate($value)
     * @method _IH_TaxClassOption_QB whereCreatedAt($value)
     * @method _IH_TaxClassOption_QB whereUpdatedAt($value)
     * @method TaxClassOption baseSole(array|string $columns = ['*'])
     * @method TaxClassOption create(array $attributes = [])
     * @method _IH_TaxClassOption_C|TaxClassOption[] cursor()
     * @method TaxClassOption|null|_IH_TaxClassOption_C|TaxClassOption[] find($id, array|string $columns = ['*'])
     * @method _IH_TaxClassOption_C|TaxClassOption[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TaxClassOption|_IH_TaxClassOption_C|TaxClassOption[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TaxClassOption|_IH_TaxClassOption_C|TaxClassOption[] findOrFail($id, array|string $columns = ['*'])
     * @method TaxClassOption|_IH_TaxClassOption_C|TaxClassOption[] findOrNew($id, array|string $columns = ['*'])
     * @method TaxClassOption first(array|string $columns = ['*'])
     * @method TaxClassOption firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TaxClassOption firstOrCreate(array $attributes = [], array $values = [])
     * @method TaxClassOption firstOrFail(array|string $columns = ['*'])
     * @method TaxClassOption firstOrNew(array $attributes = [], array $values = [])
     * @method TaxClassOption firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TaxClassOption forceCreate(array $attributes)
     * @method _IH_TaxClassOption_C|TaxClassOption[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TaxClassOption_C|TaxClassOption[] get(array|string $columns = ['*'])
     * @method TaxClassOption getModel()
     * @method TaxClassOption[] getModels(array|string $columns = ['*'])
     * @method _IH_TaxClassOption_C|TaxClassOption[] hydrate(array $items)
     * @method _IH_TaxClassOption_C|TaxClassOption[] lazy(int $chunkSize = 1000)
     * @method _IH_TaxClassOption_C|TaxClassOption[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TaxClassOption_C|TaxClassOption[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TaxClassOption make(array $attributes = [])
     * @method TaxClassOption newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TaxClassOption[]|_IH_TaxClassOption_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TaxClassOption restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|TaxClassOption[]|_IH_TaxClassOption_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TaxClassOption sole(array|string $columns = ['*'])
     * @method TaxClassOption updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TaxClassOption_QB extends _BaseBuilder {}
    
    /**
     * @method TaxClass|null getOrPut($key, $value)
     * @method TaxClass|$this shift(int $count = 1)
     * @method TaxClass|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TaxClass|$this pop(int $count = 1)
     * @method TaxClass|null pull($key, \Closure $default = null)
     * @method TaxClass|null last(callable $callback = null, \Closure $default = null)
     * @method TaxClass|$this random(callable|int|null $number = null)
     * @method TaxClass|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TaxClass|null get($key, \Closure $default = null)
     * @method TaxClass|null first(callable $callback = null, \Closure $default = null)
     * @method TaxClass|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TaxClass|null find($key, $default = null)
     * @method TaxClass[] all()
     */
    class _IH_TaxClass_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TaxClass[][]
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TaxClass_QB whereId($value)
     * @method _IH_TaxClass_QB whereName($value)
     * @method _IH_TaxClass_QB whereDeletedAt($value)
     * @method _IH_TaxClass_QB whereCreatedAt($value)
     * @method _IH_TaxClass_QB whereUpdatedAt($value)
     * @method TaxClass baseSole(array|string $columns = ['*'])
     * @method TaxClass create(array $attributes = [])
     * @method _IH_TaxClass_C|TaxClass[] cursor()
     * @method TaxClass|null|_IH_TaxClass_C|TaxClass[] find($id, array|string $columns = ['*'])
     * @method _IH_TaxClass_C|TaxClass[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TaxClass|_IH_TaxClass_C|TaxClass[] findOr($id, array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TaxClass|_IH_TaxClass_C|TaxClass[] findOrFail($id, array|string $columns = ['*'])
     * @method TaxClass|_IH_TaxClass_C|TaxClass[] findOrNew($id, array|string $columns = ['*'])
     * @method TaxClass first(array|string $columns = ['*'])
     * @method TaxClass firstOr(array|\Closure|string $columns = ['*'], \Closure $callback = null)
     * @method TaxClass firstOrCreate(array $attributes = [], array $values = [])
     * @method TaxClass firstOrFail(array|string $columns = ['*'])
     * @method TaxClass firstOrNew(array $attributes = [], array $values = [])
     * @method TaxClass firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TaxClass forceCreate(array $attributes)
     * @method _IH_TaxClass_C|TaxClass[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TaxClass_C|TaxClass[] get(array|string $columns = ['*'])
     * @method TaxClass getModel()
     * @method TaxClass[] getModels(array|string $columns = ['*'])
     * @method _IH_TaxClass_C|TaxClass[] hydrate(array $items)
     * @method _IH_TaxClass_C|TaxClass[] lazy(int $chunkSize = 1000)
     * @method _IH_TaxClass_C|TaxClass[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TaxClass_C|TaxClass[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TaxClass make(array $attributes = [])
     * @method TaxClass newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TaxClass[]|_IH_TaxClass_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TaxClass restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|TaxClass[]|_IH_TaxClass_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TaxClass sole(array|string $columns = ['*'])
     * @method TaxClass updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TaxClass_QB extends _BaseBuilder {}
}