<?php //b5e97ba1374464dbd4e4763d06aef259
/** @noinspection all */

namespace Modules\MobileApp\Entities {

    use App\Models\MediaUploader;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasOne;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_MediaUploader_QB;
    use LaravelIdea\Helper\Modules\Attributes\Entities\_IH_Category_QB;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileCampaign_C;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileCampaign_QB;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileFeaturedProduct_C;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileFeaturedProduct_QB;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileIntro_C;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileIntro_QB;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileSlider_C;
    use LaravelIdea\Helper\Modules\MobileApp\Entities\_IH_MobileSlider_QB;
    use Modules\Attributes\Entities\Category;

    /**
     * @property int $id
     * @property int $type
     * @property int $campaign_id
     * @method static _IH_MobileCampaign_QB onWriteConnection()
     * @method _IH_MobileCampaign_QB newQuery()
     * @method static _IH_MobileCampaign_QB on(null|string $connection = null)
     * @method static _IH_MobileCampaign_QB query()
     * @method static _IH_MobileCampaign_QB with(array|string $relations)
     * @method _IH_MobileCampaign_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_MobileCampaign_C|MobileCampaign[] all()
     * @ownLinks campaign_id,\Modules\Campaign\Entities\Campaign,id
     * @mixin _IH_MobileCampaign_QB
     */
    class MobileCampaign extends Model {}

    /**
     * @property int $id
     * @property string $type
     * @property array $ids
     * @method static _IH_MobileFeaturedProduct_QB onWriteConnection()
     * @method _IH_MobileFeaturedProduct_QB newQuery()
     * @method static _IH_MobileFeaturedProduct_QB on(null|string $connection = null)
     * @method static _IH_MobileFeaturedProduct_QB query()
     * @method static _IH_MobileFeaturedProduct_QB with(array|string $relations)
     * @method _IH_MobileFeaturedProduct_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_MobileFeaturedProduct_C|MobileFeaturedProduct[] all()
     * @mixin _IH_MobileFeaturedProduct_QB
     */
    class MobileFeaturedProduct extends Model {}

    /**
     * @property int $id
     * @property string $title
     * @property string $description
     * @property int $image_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property MediaUploader $image
     * @method BelongsTo|_IH_MediaUploader_QB image()
     * @method static _IH_MobileIntro_QB onWriteConnection()
     * @method _IH_MobileIntro_QB newQuery()
     * @method static _IH_MobileIntro_QB on(null|string $connection = null)
     * @method static _IH_MobileIntro_QB query()
     * @method static _IH_MobileIntro_QB with(array|string $relations)
     * @method _IH_MobileIntro_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_MobileIntro_C|MobileIntro[] all()
     * @mixin _IH_MobileIntro_QB
     */
    class MobileIntro extends Model {}

    /**
     * @property int $id
     * @property string $title
     * @property string $description
     * @property int|null $category
     * @property int|null $campaign
     * @property int $image_id
     * @property string $button_text
     * @property string $url
     * @property string|null $type
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property MediaUploader $image
     * @method BelongsTo|_IH_MediaUploader_QB image()
     * @property Category|null $sliderCategory
     * @method HasOne|_IH_Category_QB sliderCategory()
     * @method static _IH_MobileSlider_QB onWriteConnection()
     * @method _IH_MobileSlider_QB newQuery()
     * @method static _IH_MobileSlider_QB on(null|string $connection = null)
     * @method static _IH_MobileSlider_QB query()
     * @method static _IH_MobileSlider_QB with(array|string $relations)
     * @method _IH_MobileSlider_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_MobileSlider_C|MobileSlider[] all()
     * @ownLinks category,\Modules\Attributes\Entities\Category,id|campaign,\Modules\Campaign\Entities\Campaign,id
     * @mixin _IH_MobileSlider_QB
     */
    class MobileSlider extends Model {}
}
