<?php //d7c885cf972b8d7220dc90946fcd056c
/** @noinspection all */

namespace Modules\SmsGateway\Entities {

    use App\Models\User;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\Models\_IH_User_QB;
    use LaravelIdea\Helper\Modules\SmsGateway\Entities\_IH_SmsGateway_C;
    use LaravelIdea\Helper\Modules\SmsGateway\Entities\_IH_SmsGateway_QB;
    use LaravelIdea\Helper\Modules\SmsGateway\Entities\_IH_UserOtp_C;
    use LaravelIdea\Helper\Modules\SmsGateway\Entities\_IH_UserOtp_QB;

    /**
     * @property int $id
     * @property string $name
     * @property string|null $image
     * @property bool $status
     * @property int $otp_expire_time
     * @property string $credentials
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_SmsGateway_QB onWriteConnection()
     * @method _IH_SmsGateway_QB newQuery()
     * @method static _IH_SmsGateway_QB on(null|string $connection = null)
     * @method static _IH_SmsGateway_QB query()
     * @method static _IH_SmsGateway_QB with(array|string $relations)
     * @method _IH_SmsGateway_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_SmsGateway_C|SmsGateway[] all()
     * @mixin _IH_SmsGateway_QB
     */
    class SmsGateway extends Model {}

    /**
     * @property int $id
     * @property int $user_id
     * @property int $otp_code
     * @property Carbon $expire_date
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string $user_type
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_UserOtp_QB onWriteConnection()
     * @method _IH_UserOtp_QB newQuery()
     * @method static _IH_UserOtp_QB on(null|string $connection = null)
     * @method static _IH_UserOtp_QB query()
     * @method static _IH_UserOtp_QB with(array|string $relations)
     * @method _IH_UserOtp_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_UserOtp_C|UserOtp[] all()
     * @ownLinks user_id,\App\Models\User,id
     * @mixin _IH_UserOtp_QB
     */
    class UserOtp extends Model {}
}
