<?php

namespace  Xgenious\Paymentgateway\Base;

/**
 *  List of available currency in this package
 * @since 0.0.1
 * */
class GlobalCurrency
{
    public static function script_currency_list() : array
    {
        return [
            "DBD" => "DBD",
            'USD' => '$',
            'EUR' => '€',
            'INR' => '₹',
            'IDR' => 'Rp',
            'AUD' => 'A$',
            'SGD' => 'S$',
            'JPY' => '¥',
            'GBP' => '£',
            'MYR' => 'RM',
            'PHP' => '₱',
            'THB' => '฿',
            'KRW' => '₩',
            'NGN' => '₦',
            'GHS' => 'GH₵',
            'BRL' => 'R$',
            'BIF' => 'FBu',
            'CAD' => 'C$',
            'CDF' => 'FC',
            'CVE' => 'Esc',
            'GHP' => 'GH₵',
            'GMD' => 'D',
            'GNF' => 'FG',
            'KES' => 'Ksh',
            'LRD' => 'L$',
            'MWK' => 'MK',
            'MZN' => 'MT',
            'RWF' => 'R₣',
            'SLL' => 'Le',
            'STD' => 'Db',
            'TZS' => 'TSh',
            'UGX' => 'UGX',
            'XAF' => 'FCFA',
            'XOF' => 'CFA',
            'ZMK' => 'ZK',
            'ZMW' => 'ZK',
            'ZWD' => 'Z$',
            'AED' => 'د.إ',
            'AFN' => '؋',
            'ALL' => 'L',
            'AMD' => '֏',
            'ANG' => 'NAf',
            'AOA' => 'Kz',
            'ARS' => '$',
            'AWG' => 'ƒ',
            'AZN' => '₼',
            'BAM' => 'KM',
            'BBD' => 'Bds$',
            'BDT' => '৳',
            'BGN' => 'Лв',
            'BMD' => '$',
            'BND' => 'B$',
            'BOB' => 'Bs',
            'BSD' => 'B$',
            'BWP' => 'P',
            'BZD' => '$',
            'CHF' => 'CHF',
            'CNY' => '¥',
            'CLP' => '$',
            'COP' => '$',
            'CRC' => '₡',
            'CZK' => 'Kč',
            'DJF' => 'Fdj',
            'DKK' => 'Kr',
            'DOP' => 'RD$',
            'DZD' => 'دج',
            'EGP' => 'E£',
            'ETB' => 'ብር',
            'FJD' => 'FJ$',
            'FKP' => '£',
            'GEL' => 'ლ',
            'GIP' => '£',
            'GTQ' => 'Q',
            'GYD' => 'G$',
            'HKD' => 'HK$',
            'HNL' => 'L',
            'HRK' => 'kn',
            'HTG' => 'G',
            'HUF' => 'Ft',
            'ILS' => '₪',
            'ISK' => 'kr',
            'JMD' => '$',
            'KGS' => 'Лв',
            'KHR' => '៛',
            'KMF' => 'CF',
            'KYD' => '$',
            'KZT' => '₸',
            'LAK' => '₭',
            'LBP' => 'ل.ل.',
            'LKR' => 'ரூ',
            'LSL' => 'L',
            'MAD' => 'MAD',
            'MDL' => 'L',
            'MGA' => 'Ar',
            'MKD' => 'Ден',
            'MMK' => 'K',
            'MNT' => '₮',
            'MOP' => 'MOP$',
            'MRO' => 'MRU',
            'MUR' => '₨',
            'MVR' => 'Rf',
            'MXN' => '$',
            'NAD' => 'N$',
            'NIO' => 'C$',
            'NOK' => 'kr',
            'NPR' => 'रू',
            'NZD' => '$',
            'PAB' => 'B/.',
            'PEN' => 'S/',
            'PGK' => 'K',
            'PKR' => '₨',
            'PLN' => 'zł',
            'PYG' => '₲',
            'QAR' => 'QR',
            'RON' => 'lei',
            'RSD' => 'din',
            'RUB' => '₽',
            'SAR' => 'SR',
            'SBD' => 'Si$',
            'SCR' => 'SR',
            'SEK' => 'kr',
            'SHP' => '£',
            'SOS' => 'Sh.so.',
            'SRD' => '$',
            'SZL' => 'E',
            'TJS' => 'ЅM',
            'TRY' => '₺',
            'TTD' => 'TT$',
            'TWD' => 'NT$',
            'UAH' => '₴',
            'UYU' => '$U',
            'UZS' => 'so\'m',
            'VND' => '₫',
            'VUV' => 'VT',
            'WST' => 'WS$',
            'XCD' => '$',
            'XPF' => '₣',
            'YER' => '﷼',
            'ZAR' => 'R',
            'BHD' => 'BHD',
            'KWD' => 'د.ك',
            'LYD' => 'د.ل'
        ];
    }
}
